/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.sctserver.servlets.admin;

import java.util.*;
import net.mapeadores.util.localisation.*;
import net.mapeadores.util.logging.*;
import fr.exemole.sctserver.*;
import fr.exemole.sctserver.servlets.*;
import net.mapeadores.util.servlets.*;
import fr.exemole.sctserver.servlets.selection.*;


/**
 *
 * @author Vincent Calame
 */
public class AdminResponseParameters extends ResponseParameters {
    public final static short INDEX_PAGE = 1;
    public final static short ERROR_PAGE = 2;
    public final static short STATS_PAGE = 3;
    public final static short FICHES_PAGE = 4;
    public final static short MOTSCLES_PAGE = 5;
    public final static short LEXIES_PAGE = 6;
    public final static short TEST_XMLDATA = 8;
    public final static short JOURNAUX_PAGE = 9;
    public final static short JOURNAL_PAGE = 10;
    public final static short LEXIES_STREAM = 51;
    public final static short URI_STREAM = 52;
    public final static short MOTSCLES_STREAM = 53;
    
    private Locale locale;
    private SctServer sctServer;
    private int langInteger;
    private SelectionManager selectionManager;
    private SelectionUnit selectionUnit;
    private int dateInteger;
    
    public AdminResponseParameters(SctBundle sctBundle,Locale locale) {
        this.locale= locale;
        this.sctServer = sctBundle.getSctServer();
        this.selectionManager = sctBundle.getSelectionManager();
    }
    
    public Locale getLocale() {
        return locale;
    }

    public SctServer getSctServer() {
        return sctServer;
    }

    public int getLangInteger() {
        return langInteger;
    }

    public void setLangInteger(int langInteger) {
        this.langInteger = langInteger;
    }

    public SelectionManager getSelectionManager() {
        return selectionManager;
    }

    public SelectionUnit getSelectionUnit() {
        return selectionUnit;
    }

    public void setSelectionUnit(SelectionUnit selectionUnit) {
        this.selectionUnit = selectionUnit;
    }

    public int getDateInteger() {
        return dateInteger;
    }

    public void setDateInteger(int dateInteger) {
        this.dateInteger = dateInteger;
    }
    
    
}
