/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.sctserver.servlets.admin;

import net.mapeadores.util.logging.*;
import net.mapeadores.util.servlets.*;

/**
 *
 * @author Vincent Calame
 */
public class RestartCommand extends Command {
    public static final String FORCE_PARAMNAME = "force";
    
    public RestartCommand() {
    }
    
    public void doCommand(RequestMap requestMap) {
        setHtmlPageType(AdminResponseParameters.INDEX_PAGE);
        boolean forceReload = false;
        String forceValue = requestMap.getParameter(FORCE_PARAMNAME);
        if (forceValue != null) {
            if (forceValue.equals("1")) forceReload = true;
        }
        getSctServer().reload(forceReload);
        setCommandMessage(CommandMessage.done("done_restart", null));
    }
    
    public boolean testCommand(RequestMap requestMap) {
        return true;
    }
    
    public static String getCommandString() {
        return "Restart";
    }
    
    public static String getCommandKey() {
        return "SCT-02";
    }
    
}
