/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.sctserver.servlets.admin.contentstreams;

import net.mapeadores.util.servlets.*;
import fr.exemole.sctserver.servlets.admin.*;
import fr.exemole.sctserver.*;
import net.mapeadores.util.langinteger.*;
import java.util.*;


/**
 *
 * @author Vincent Calame
 */
public abstract class AdminContentStream implements ResponsePrinter {
    protected AdminResponseParameters adminParameters;
    protected SctServer sctServer;
    protected int workingLangInteger;
    
    public AdminContentStream(AdminResponseParameters adminParameters) {
        this.adminParameters = adminParameters;
        this.sctServer = adminParameters.getSctServer();
        Locale locale = adminParameters.getLocale();
        this.workingLangInteger = LangInteger.fromLocale(locale);
    }
    
     public static ResponsePrinter getInstance(AdminResponseParameters responseParameters) {
         switch(responseParameters.getContentStreamType()) {
             case AdminResponseParameters.LEXIES_STREAM :
                 return new LexiesOdsStream(responseParameters);
             case AdminResponseParameters.URI_STREAM :
                 return new URITxtStream(responseParameters);
             case AdminResponseParameters.MOTSCLES_STREAM :
                 return new MotsclesOdsStream(responseParameters);
             default :
                 return null;
         }
     }
    
}
