/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.sctserver.servlets.admin.contentstreams;

import net.mapeadores.opendocument.io.*;
import net.mapeadores.util.xml.*;
import fr.exemole.sctserver.servlets.admin.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import net.mapeadores.scrutari.db.*;
import net.mapeadores.scrutari.db.util.*;
import net.mapeadores.scrutari.data.*;
import net.mapeadores.util.langinteger.*;
import net.mapeadores.scrutari.lexie.*;
import net.mapeadores.util.text.*;
import net.mapeadores.scrutari.uri.*;

/**
 *
 * @author Vincent Calame
 */
public class URITxtStream extends AdminContentStream {
    
    public URITxtStream(AdminResponseParameters adminParameters) {
        super(adminParameters);
    }
    
     public void printResponse(HttpServletResponse response) throws IOException {
         response.setContentType("text/plain;charset=UTF-8");
         PrintWriter pw = response.getWriter();
         DataManager dataManager = sctServer.getScrutariDB().getDataManager();
         int thesaurusCount = dataManager.getThesaurusCount();
         for(int i = 0;i < thesaurusCount; i++) {
             ThesaurusData thesaurusData = dataManager.getThesaurusDataByIndex(i);
              printURI(pw, thesaurusData.getThesaurusURI());
         }
     }
     
     private void printURI(PrintWriter pw, ScrutariURI scrutariURI) {
         pw.print(scrutariURI.toString());
         pw.print("\n");
     }
    
}
