/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.sctserver.servlets.admin.htmlpages;

import fr.exemole.sctserver.servlets.admin.*;
import fr.exemole.sctserver.admin.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import net.mapeadores.util.html.*;
import net.mapeadores.util.localisation.*;
import net.mapeadores.util.exceptions.*;
import net.mapeadores.util.primitives.*;
import net.mapeadores.scrutari.db.*;
import net.mapeadores.scrutari.db.util.*;


/**
 *
 * @author Vincent Calame
 */
public class JournauxPage extends AdminHtmlPage {
    
    public JournauxPage(AdminResponseParameters adminParameters) {
        super(adminParameters);
    }
    
    public void printResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        printTools();
        int[] moisArray = sctServer.getSearchLog().getMonthIntegerArray();
        startH1();
        localize("title_journaux_month");
        endH1();
        HTMLAttributes aAttributes = new HTMLAttributes();
        for(int i = 0; i < moisArray.length; i++) {
            int mois = moisArray[i];
            String moisString = IntDate.toString(mois);
            String href = "journal_" + moisString + ".html";
            aAttributes.setHref(href);
            startP();
            startA(aAttributes);
            append(moisString);
            endA();
            endP();
        }
        end();
    }
    
    public boolean containsForm() {
        return false;
    }
    
}
