/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.sctserver.servlets.admin.xmldata;

import fr.exemole.sctserver.servlets.admin.*;
import javax.servlet.http.*;
import java.io.*;
import net.mapeadores.util.xml.*;
import net.mapeadores.util.logging.*;
import net.mapeadores.util.localisation.*;

/**
 *
 * @author Vincent Calame
 */
public class TestData extends AdminXmlData {
    
    public TestData(AdminResponseParameters adminParameters) {
        super(adminParameters);
    }
    
    public void printResponse(HttpServletResponse response) throws IOException {
        XMLDestination xmlDestination = initResponse(response);
        TestXMLWriter testXMLWriter = new TestXMLWriter(xmlDestination,0);
        testXMLWriter.appendXMLDeclaration();
        testXMLWriter.add(adminParameters);
    }
    
    private class TestXMLWriter extends DefaultXMLWriter {
        
        TestXMLWriter(XMLDestination xmlDestination,int indentLength) {
            super();
            setXmlDestination(xmlDestination);
            setIndentLength(indentLength);
        }
        
        private void add(AdminResponseParameters params) throws IOException {
            CommandMessage commandMessage = params.getCommandMessage();
            int result = 0;
            if (commandMessage != null) {
                if (commandMessage.isErrorMessage()) {
                    result = -1;
                }
                else {
                    result = 1;
                }
            }
            startOpenTag("test");
            addAttribute("result", result);
            endOpenTag();
            if (result == -1) {
                ResourceItem keyResourceItem =  commandMessage.getKeyResourceItem();
                startOpenTag("error");
                addAttribute("key",keyResourceItem.getResourceKey());
                endOpenTag();
                escape(localize(keyResourceItem));
                closeTag("error");
            }
            closeTag("test");
        }
        
    }
    
}
