/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.sctserver.servlets.explore;

import fr.exemole.sctserver.*;
import fr.exemole.sctserver.servlets.*;
import net.mapeadores.util.servlets.*;
import net.mapeadores.util.text.*;

/**
 *
 * @author Vincent Calame
 */
public class ExploreResponseParameters extends ResponseParameters {
    public final static short SUPERMOTCLE_LISTE_PAGE = 11;
    public final static short SUPERMOTCLE_CROISEMENT_PAGE = 12;
    public final static short BASE_LIST_XMLDATA = 21;
    public final static short LOG_LIST_XMLDATA = 22;
    public final static short MONTH_LOG_XMLDATA = 23;
    private int langInteger;
    private int dateInteger;
    private SctServer sctServer;
    private SearchSequence searchSequence;
    
    public ExploreResponseParameters(SctBundle sctBundle) {
        this.sctServer = sctBundle.getSctServer();
    }
    
    public int getLangInteger() {
        return langInteger;
    }
    
    public void setLangInteger(int langInteger) {
        this.langInteger = langInteger;
    }
    
    public SctServer getSctServer() {
        return sctServer;
    }

    public SearchSequence getSearchSequence() {
        return searchSequence;
    }

    public void setSearchSequence(SearchSequence searchSequence) {
        this.searchSequence = searchSequence;
    }

    public int getDateInteger() {
        return dateInteger;
    }

    public void setDateInteger(int dateInteger) {
        this.dateInteger = dateInteger;
    }
    
}
