/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.sctserver.servlets.explore.htmlpages;

import fr.exemole.sctserver.servlets.explore.*;
import net.mapeadores.util.html.*;
import javax.servlet.http.*;
import java.io.*;
import fr.exemole.sctserver.*;
import net.mapeadores.util.langinteger.*;
import net.mapeadores.util.servlets.*;

/**
 *
 * @author Vincent Calame
 */
public abstract class ExploreHtmlPage extends HTMLPage implements ResponsePrinter {
    protected ExploreResponseParameters exploreParameters;
    protected SctServer sctServer;
    protected int workingLangInteger = LangInteger.FRENCH;
    
    public ExploreHtmlPage(ExploreResponseParameters exploreParameters) {
        this.exploreParameters = exploreParameters;
        sctServer = exploreParameters.getSctServer();
    }
    
    public static ExploreHtmlPage getPage(ExploreResponseParameters exploreParameters) {
        switch(exploreParameters.getHtmlPageType()) {
            case ExploreResponseParameters.SUPERMOTCLE_LISTE_PAGE :
                return new SupermotcleListePage(exploreParameters);
            case ExploreResponseParameters.SUPERMOTCLE_CROISEMENT_PAGE :
                return new SupermotcleCroisementPage(exploreParameters);
            default :
                return null;
        }
    }
    
    protected void initResponse(HttpServletResponse response) throws IOException{
        response.setContentType("text/html;charset=UTF-8");
        initPrinter(response.getWriter());
        
    }
    
    protected void start() {
        start(workingLangInteger);
    }
    
}
