/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.sctserver.servlets.explore.htmlpages;

import fr.exemole.sctserver.servlets.explore.*;
import javax.servlet.http.*;
import java.io.*;
import net.mapeadores.scrutari.supermotcle.*;
import java.util.*;

/**
 *
 * @author Vincent Calame
 */
public class SupermotcleCroisementPage extends ExploreHtmlPage  {
    
    public SupermotcleCroisementPage(ExploreResponseParameters exploreParameters) {
        super(exploreParameters);
    }
    
    public void printResponse(HttpServletResponse response) throws IOException {
        SupermotcleManager supermotcleManager = sctServer.getSupermotcleManager();
        SupermotcleCroisement supermotcleCroisement = supermotcleManager.getSupermotcleCroisement(exploreParameters.getLangInteger());
        initResponse(response);
        start();
        printSupermotcleCroisement(supermotcleCroisement);
        end();
    }
    
    private void printSupermotcleCroisement(SupermotcleCroisement supermotcleCroisement) throws IOException {
        List list = supermotcleCroisement.getCoupleList();
        for(Iterator it = list.iterator(); it.hasNext();) {
            SupermotcleCroisement.Couple couple = (SupermotcleCroisement.Couple) it.next();
            append(String.valueOf(couple.getCode1()));
            append(";");
            append(String.valueOf(couple.getCode2()));
            append(";");
            append(String.valueOf(couple.getTotal()));
            appendBr();
        }
    }
    
}
