/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.sctserver.servlets.explore.htmlpages;

import fr.exemole.sctserver.servlets.explore.*;
import javax.servlet.http.*;
import java.io.*;
import net.mapeadores.scrutari.supermotcle.*;
import java.util.*;

/**
 *
 * @author Vincent Calame
 */
public class SupermotcleListePage extends ExploreHtmlPage {
    
    public SupermotcleListePage(ExploreResponseParameters exploreParameters) {
        super(exploreParameters);
    }
    
    public void printResponse(HttpServletResponse response) throws IOException {
        SupermotcleManager supermotcleManager = sctServer.getSupermotcleManager();
        SupermotcleMap supermotcleMap = supermotcleManager.getSupermotcleMap(exploreParameters.getLangInteger());
        initResponse(response);
        start();
        if (supermotcleMap == null) {
            escape("Rien pour cette langue");
        }
        else {
            printSupermotcleMap(supermotcleMap);
        }
        end();
    }
    
    private void printSupermotcleMap(SupermotcleMap supermotcleMap) throws IOException {
        List list = supermotcleMap.getSupermotcleList(exploreParameters.getSearchSequence());
        for(Iterator it= list.iterator(); it.hasNext();) {
            Supermotcle supermotcle = (Supermotcle) it.next();
            append(String.valueOf(supermotcle.getCode()));
            append(";");
            escape(supermotcle.getSourceString());
            append(";");
            append(String.valueOf(supermotcle.getCodemotcleCount()));
            append(";");
            append(String.valueOf(supermotcle.getIndexationCount()));
            /*append("|");
            List list2 = supermotcle.getCodemotcleList();
            for(Iterator it2 = list2.iterator(); it2.hasNext();) {
                Integer itg = (Integer) it2.next();
                append(itg.toString());
                append("|");
            }*/
            appendBr();
        }
     }
    
}
