/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.sctserver.servlets.global;

import net.mapeadores.util.servlets.*;
import fr.exemole.sctserver.servlets.*;
import javax.servlet.*;
import fr.exemole.sctserver.servlets.global.htmlpages.*;
import net.mapeadores.util.exceptions.*;
import java.util.*;

/**
 *
 * @author Vincent Calame
 */
public class GlobalRequest {
    private GlobalResponseParameters globalResponseParameters;
    private boolean isInit = false;
    private boolean run = false;
    
    private GlobalRequest(String path) {
        globalResponseParameters = new GlobalResponseParameters(Locale.FRENCH);
        if (path.equals("/")) {
            globalResponseParameters.setHtmlPageType(GlobalResponseParameters.INDEX_PAGE);
            isInit = true;
        } else if (path.equals("/Reload")) {
            globalResponseParameters.setHtmlPageType(GlobalResponseParameters.LIST_PAGE);
            run = true;
            isInit = true;
        }
    }
    
    public static GlobalRequest init(String path) {
        GlobalRequest globalRequest = new GlobalRequest(path);
        if (globalRequest.isInit) {
            return globalRequest;
        } else {
            return null;
        }
    }
    
    public void run(ServletContext servletContext, SctServerContext sctServerContext) {
        globalResponseParameters.setSctServerContext(sctServerContext);
        if (run) {
            sctServerContext.reload(servletContext);
        }
    }
    
    public ResponsePrinter getResponsePrinter() {
        switch(globalResponseParameters.getCategory()) {
            case ResponseParameters.HTMLPAGE_CATEGORY :
                return GlobalHtmlPage.getPage(globalResponseParameters);
            default :
                throw new SwitchException("category = " + globalResponseParameters.getCategory());
        }
    }
    
}
