/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.sctserver.servlets.global.htmlpages;

import fr.exemole.sctserver.servlets.explore.*;
import net.mapeadores.util.html.*;
import javax.servlet.http.*;
import java.io.*;
import fr.exemole.sctserver.*;
import net.mapeadores.util.langinteger.*;
import net.mapeadores.util.servlets.*;
import fr.exemole.sctserver.servlets.global.*;
import fr.exemole.sctserver.servlets.*;
import java.util.*;

/**
 *
 * @author Vincent Calame
 */
public class ListPage  extends GlobalHtmlPage {
    
    public ListPage(GlobalResponseParameters globalResponseParameters) {
        super(globalResponseParameters);
    }
    
    public void printResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        HTMLAttributes pAttributes = new HTMLAttributes();
        pAttributes.setClasses("p_Titre");
        startP(pAttributes);
        localize("global_maj");
        endP();
        SctServerContext sctServerContext = globalResponseParameters.getSctServerContext();
        
        if (sctServerContext.hasError()) {
            pAttributes.setClasses("p_Signal");
            startP(pAttributes);
            localize("global_error");
            endP();
            pAttributes.setClasses("p_Erreur");
            startP(pAttributes);
            localize(sctServerContext.getErrorKey());
            endP();
        }
        
        List<String> nameList = sctServerContext.getNameList();
        int size = nameList.size();
        pAttributes.setClasses("p_Introliste");
        startP(pAttributes);
        if (size == 0) {
            localize("global_serveur_aucun");
        } else if (size == 1) {
            localize("global_serveur_un");
        } else {
            localize("global_serveur_plusieurs", new Integer(size));
        }
        endP();
        if (size > 0) {
            startUl();
            for(String name : nameList) {
                startLi();
                escape(name);
                endLi();
            }
            endUl();
        }
        end();
    }
    
}
