/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.sctserver.servlets.selection;

import java.io.*;
import java.util.*;
import net.mapeadores.util.text.*;
import net.mapeadores.scrutari.uri.*;

/**
 *
 * @author Vincent Calame
 */
public class SelectionUnit {
    private Set<ThesaurusURI> thesaurusURISet = new LinkedHashSet<ThesaurusURI>();
    private String name;
    
    public SelectionUnit(String name) {
        this.name = name;
    }
    
    public static SelectionUnit read(String name, Reader reader) throws IOException {
        SelectionUnit selectionUnit = new SelectionUnit(name);
        BufferedReader bufread = new BufferedReader(reader);
        String ligne = null;
        while((ligne = bufread.readLine()) != null) {
            ligne = ligne.trim();
            if (ligne.length() == 0) continue;
            try {
                ScrutariURI scrutariURI = URIParser.parse(ligne);
                selectionUnit.add(scrutariURI);
            }
            catch(URIParseException upe) {
                System.out.println(upe.getMessage());
            }
        }
        return selectionUnit;
    }
    
    public boolean contains(ThesaurusURI thesaurusURI) {
        boolean cts = thesaurusURISet.contains(thesaurusURI);
        return cts;
    }
    
    private void add(ScrutariURI scrutariURI) {
        switch(scrutariURI.getType()) {
            case ScrutariURI.THESAURUSURI_TYPE :
                addThesaurusURI((ThesaurusURI) scrutariURI);
                break;
        }
    }
    
    private void addThesaurusURI(ThesaurusURI thesaurusURI) {
        thesaurusURISet.add(thesaurusURI);
    }

    public String getName() {
        return name;
    }
}
