/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.scrutari.lexie;

import net.mapeadores.util.collections.*;
import com.sleepycat.bind.tuple.*;
import com.sleepycat.je.*;

/**
 *
 * @author Vincent Calame
 */
class AbstractLexificationMap {
    private LinkedIntHashMap linkedIntHashMap = new LinkedIntHashMap();
    
    public AbstractLexificationMap() {
    }
    
    Lexification getLexification(int itg) {
        return (Lexification) linkedIntHashMap.get(itg);
    }
    
    void putLexification(int itg, Lexification lexification) {
        linkedIntHashMap.put(itg, lexification);
    }
    
    static void readTuple(AbstractLexificationMap lexificationMap, TupleInput tupleInput) {
        int size = tupleInput.readInt();
        for (int i = 0; i < size; i++) {
            int fieldNumber = tupleInput.readInt();
            Lexification lexification = Lexification.readTuple(tupleInput);
            lexificationMap.putLexification(fieldNumber, lexification);
        }
    }
    
    static void writeTuple(AbstractLexificationMap lexificationMap, TupleOutput tupleOutput) {
        LinkedIntHashMap linkedIntHashMap = lexificationMap.linkedIntHashMap;
        int size = linkedIntHashMap.size();
        tupleOutput.writeInt(size);
        for(int i = 0; i < size; i++) {
            tupleOutput.writeInt(linkedIntHashMap.getKeyAt(i));
            Lexification.writeTuple((Lexification)linkedIntHashMap.getValueAt(i), tupleOutput);
        }
    }
    
    
    
}
