/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.scrutari.lexie;

import net.mapeadores.util.collections.*;
import com.sleepycat.bind.tuple.*;
import com.sleepycat.je.*;

/**
 *
 * @author Vincent Calame
 */
public class FicheLexification extends AbstractLexificationMap {
    
    
    public FicheLexification() {
    }
    
    public Lexification getLexification(int fieldNumber) {
        return super.getLexification(fieldNumber);
    }
    
    public void putLexification(int fieldNumber, Lexification lexification) {
        super.putLexification(fieldNumber, lexification);
    }
    
    public DatabaseEntry toDatabaseEntry() {
        DatabaseEntry data = new DatabaseEntry();
        InternalTupleBinding bind = new InternalTupleBinding();
        bind.objectToEntry(this,data);
        return data;
    }
    
    
    public static FicheLexification fromDatabaseEntry(DatabaseEntry data) {
        InternalTupleBinding bind = new InternalTupleBinding();
        return (FicheLexification) bind.entryToObject(data);
    }
    
    static private final class InternalTupleBinding extends TupleBinding {
        
        public Object entryToObject(TupleInput tupleInput) {
            FicheLexification ficheLexification = new FicheLexification();
            readTuple(ficheLexification, tupleInput);
            return ficheLexification;
        }
        
        public void objectToEntry(Object obj, TupleOutput tupleOutput) {
            AbstractLexificationMap lexificationMap = (AbstractLexificationMap) obj;
            writeTuple(lexificationMap, tupleOutput);
        }
    }
    
    
}
