/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package net.mapeadores.scrutari.searchengine;

import net.mapeadores.scrutari.searchengine.inner.SearchResultBuilder;

/**
 *
 * @author Vincent Calame
 */
public interface MotcleSearchResultInfo {
    /**
     * Retourne le code de la i-ième fiche.
     */
    public int getAcceptedFicheCode(int i);

    /**
     * Retourne le nombre de fiches finalement acceptées indexées par le mot-clé.
     */
    public int getAcceptedFicheCount();

    /**
     * Retourne le code du mot-clé.
     */
    public int getCode();

    /**
     * Retourne le nombre maximum de fiches susceptibles d'être associées suivant 
     * les options de recherche. Autrement dit, c'est le nombre total de fiches
     * indexées par le mot-clé dans les corpus et bases sélectionnées.
     */
   public int getFicheMaximum();


    /**
     * Retourne la liste des instances de SubstringPosition indiquant la présence de mots
     * de la recherche dans le libellé de langue langInteger.
     * Retourne <em>null</em> si le libellé dans la langue donnée n'a pas participé à la
     * recherche. L'instance de  SearchTokenPositionList retourné est donc soit nul, soit de taille supérieur à 0.
     */
    public SearchTokenPositionList getSearchTokentPositionListByLang(int langInteger);
    
}
