/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2005-2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package net.mapeadores.scrutari.searchengine;

import java.io.Serializable;
import net.mapeadores.util.text.*;


/**
 *
 *
 * @author  Vincent Calame
 */
public class SearchOptions implements Serializable {
    private int[] langIntegerArray = null;
    private int[] codecorpusArray = null;
    private int[] codethesaurusArray = null;
    private int defaultSearchType = TextConstants.STARTSWITH;
    private int langUi;
    
    public SearchOptions() {
        
    }
    
    public boolean hasFilter() {
        if (langIntegerArray != null) return true;
        if (codecorpusArray != null) return true;
        if (codethesaurusArray != null) return true;
        return false;
    }
    
    public int getLangUi() {
        return langUi;
    }
    
    public void setLangUi(int langUi) {
        this.langUi = langUi;
    }
    
    public int[] getLangIntegerArray() {
        return langIntegerArray;
    }
    
    public void setLangIntegerArray(int[] langIntegerArray) {
        this.langIntegerArray = langIntegerArray;
    }
    
    public int[] getCorpusCodeArray() {
        return codecorpusArray;
    }
    
    public int[] getThesaurusCodeArray() {
        return codethesaurusArray;
    }

    public void setThesaurusCodeArray(int[] codeArray) {
        this.codethesaurusArray = codeArray;
    }
    
    public void setCorpusCodeArray(int[] codeArray) {
        this.codecorpusArray = codeArray;
    }
    
    public int getDefaultSearchType() {
        return defaultSearchType;
    }
    
    public void setDefaultSearchType(int defaultSearchType) {
        this.defaultSearchType = defaultSearchType;
    }

}
