/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package net.mapeadores.scrutari.searchengine;

import net.mapeadores.util.text.SubstringPosition;

/**
 *
 * @author Vincent Calame
 */
public interface SearchTokenPositionList {
    
    /**
     * Retourne la taille de la liste.
     */
    public int size();
    
    /**
     * Retourne la i-ième instance de SubstringPosition stockée dans cette liste.
     */
    public SubstringPosition getSearchTokenPosition(int i);

    /**
     * Retourne la position dans la séquence de recherche du mot correspondant à la i-ième instance
     * de SubstringPosition stockée dans cette liste.
     */
    public int getSearchTokenIndexForPosition(int i);

    /**
     * Indique si cette liste contient une instance de SubstringPosition pour tous
     * les mots de la séquence de recherche.
     */
    public boolean containsAllSearchTokens();

    
    
}
