/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.scrutari.searchengine.beans;

import java.io.*;
import net.mapeadores.scrutari.searchengine.FicheSearchResultInfo;
import net.mapeadores.scrutari.searchengine.FicheSearchTokenPositionList;
import net.mapeadores.util.text.*;

/**
 *
 * @author Vincent Calame
 */
public final class FicheSearchResultInfoBean implements FicheSearchResultInfo, Serializable {
    private int code;
    private int[] codemotcleArray;
    private FicheSearchTokenPositionListBean[] ficheSearchTokenPositionListBeanArray;
    
    public FicheSearchResultInfoBean() {
    }
    
    public int getCode() {
        return code;
    }
    
    public void setCode(int code) {
        this.code = code;
    }
    
    public int[] getCodemotcleArray() {
        return codemotcleArray;
    }
    
    public void setCodemotcleArray(int[] codemotcleArray) {
        this.codemotcleArray = codemotcleArray;
    }
    
    public FicheSearchTokenPositionListBean[] getFicheSearchTokenPositionListBeanArray() {
        return ficheSearchTokenPositionListBeanArray;
    }
    
    public void setFicheSearchTokenPositionListBeanArray(FicheSearchTokenPositionListBean[] ficheSearchTokenPositionListBeanArray) {
        this.ficheSearchTokenPositionListBeanArray = ficheSearchTokenPositionListBeanArray;
    }


    public int getMotcleCode(int i) {
        return codemotcleArray[i];
    }


    public int getMotcleCount() {
        if (codemotcleArray == null) return 0;
        return codemotcleArray.length;
    }

    public FicheSearchTokenPositionList getSubstringPositionList(int fieldNumber) {
        if (ficheSearchTokenPositionListBeanArray == null) return null;
        for(int i = 0; i < ficheSearchTokenPositionListBeanArray.length; i++) {
            FicheSearchTokenPositionListBean ficheSearchTokenPositionListBean = ficheSearchTokenPositionListBeanArray[i];
            if (ficheSearchTokenPositionListBean.getFieldNumber() == fieldNumber) {
                return ficheSearchTokenPositionListBean;
            }
        }
        return null;
    }
    
}
