/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.scrutari.searchengine.beans;

import java.io.*;
import net.mapeadores.scrutari.searchengine.*;

/**
 *
 * @author Vincent Calame
 */
public class MotcleSearchResultInfoBean implements MotcleSearchResultInfo, Serializable {
    private int code;
    private int ficheMaximum;
    private MotcleSearchTokenPositionListBean[] motcleSearchTokenPositionListBeanArray;
    private int[] acceptedCodeficheArray;
    
    
    public MotcleSearchResultInfoBean() {
    }
    
    public int getAcceptedFicheCode(int i) {
        return acceptedCodeficheArray[i];
    }

    public int getAcceptedFicheCount() {
        if (acceptedCodeficheArray == null) return 0;
        return acceptedCodeficheArray.length;
    }


    public int getCode() {
        return code;
    }
    
    public void setCode(int code) {
        this.code = code;
    }
    
    public int getFicheMaximum() {
        return ficheMaximum;
    }
    
    public void setFicheMaximum(int ficheMaximum) {
        this.ficheMaximum = ficheMaximum;
    }
    
    public MotcleSearchTokenPositionListBean[] getMotcleSearchTokenPositionListBeanArray() {
        return motcleSearchTokenPositionListBeanArray;
    }
    
    public void setMotcleSearchTokenPositionListBeanArray(MotcleSearchTokenPositionListBean[] motcleSearchTokenPositionListBeanArray) {
        this.motcleSearchTokenPositionListBeanArray = motcleSearchTokenPositionListBeanArray;
    }
    
    public int[] getAcceptedCodeficheArray() {
        return acceptedCodeficheArray;
    }
    
    public void setAcceptedCodeficheArray(int[] acceptedCodeficheArray) {
        this.acceptedCodeficheArray = acceptedCodeficheArray;
    }

    public SearchTokenPositionList getSearchTokentPositionListByLang(int langInteger) {
        if (motcleSearchTokenPositionListBeanArray == null) {
            return null;
        }
        int length = motcleSearchTokenPositionListBeanArray.length;
        for(int i = 0; i < length; i++) {
            MotcleSearchTokenPositionListBean motcleSearchTokenPositionListBean = motcleSearchTokenPositionListBeanArray[i];
            if (motcleSearchTokenPositionListBean.getLangInteger() == langInteger) {
                return motcleSearchTokenPositionListBean;
            }
        }
        return null;
    }
}
