/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.scrutari.searchengine.beans;

import net.mapeadores.scrutari.searchengine.FicheSearchResultInfo;
import net.mapeadores.scrutari.searchengine.MotcleSearchResultInfo;
import net.mapeadores.scrutari.searchengine.SearchOptions;
import net.mapeadores.scrutari.searchengine.SearchResult;
import net.mapeadores.util.text.*;
import java.io.*;

/**
 *
 * @author Vincent Calame
 */
public final class SearchResultBean implements SearchResult, Serializable {
    private String identifiant;
    private SearchSequence searchSequence;
    private SearchOptions searchOptions;
    private int completeMotcleCount = 0;
    private int ficheMaximum = 0;
    private FicheSearchResultInfoBean[] ficheSearchResultInfoBeanArray;
    private MotcleSearchResultInfoBean[] motcleSearchResultInfoBeanArray = new MotcleSearchResultInfoBean[0];
    
    public SearchResultBean() {
    }
    
    
    public String getIdentifiant() {
        return identifiant;
    }
    
    public void setIdentifiant(String identifiant) {
        this.identifiant = identifiant;
    }


    public SearchSequence getSearchSequence() {
        return searchSequence;
    }
    
    public void setSearchSequence(SearchSequence searchSequence) {
        this.searchSequence = searchSequence;
    }
    
    public SearchOptions getSearchOptions() {
        return searchOptions;
    }
    
    public void setSearchOptions(SearchOptions searchOptions) {
        this.searchOptions = searchOptions;
    }
    
    public FicheSearchResultInfoBean[] getFicheSearchResultInfoBeanArray() {
        return ficheSearchResultInfoBeanArray;
    }
    
    public void setFicheSearchResultInfoBeanArray(FicheSearchResultInfoBean[] ficheSearchResultInfoBeanArray) {
        this.ficheSearchResultInfoBeanArray = ficheSearchResultInfoBeanArray;
    }
    
    public int getFicheCount() {
        if (ficheSearchResultInfoBeanArray == null) return 0;
        return ficheSearchResultInfoBeanArray.length;
    }
    
    public int getFicheMaximum() {
        return ficheMaximum;
    }
    
    public void setFicheMaximum(int ficheMaximum) {
        this.ficheMaximum = ficheMaximum;
    }
    
    public FicheSearchResultInfo getFicheResult(int i) {
        return ficheSearchResultInfoBeanArray[i];
    }
    
    public int getAllMotcleCount() {
        if (getMotcleSearchResultInfoBeanArray() == null) return 0;
        return getMotcleSearchResultInfoBeanArray().length;
    }
    

    public int getCompleteMotcleCount() {
        return completeMotcleCount;
    }
    
    public void setCompleteMotcleCount(int completeMotcleCount) {
        this.completeMotcleCount = completeMotcleCount;
    }
    
    public int getPartialMotcleCount() {
        return getAllMotcleCount() - completeMotcleCount;
    }
    
     public MotcleSearchResultInfo getMotcleResult(int i) {
        return getMotcleSearchResultInfoBeanArray()[i];
    }

    public MotcleSearchResultInfoBean[] getMotcleSearchResultInfoBeanArray() {
        return motcleSearchResultInfoBeanArray;
    }

    public void setMotcleSearchResultInfoBeanArray(MotcleSearchResultInfoBean[] motcleSearchResultInfoBeanArray) {
        this.motcleSearchResultInfoBeanArray = motcleSearchResultInfoBeanArray;
    }
}
