/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.scrutari.searchengine.beans;

import net.mapeadores.scrutari.searchengine.SearchTokenPositionList;
import net.mapeadores.util.text.*;
import java.io.*;

/**
 *
 * @author Vincent Calame
 */
public class SearchTokenPositionListBean implements SearchTokenPositionList, Serializable {
    private SearchTokenPositionBean[] searchTokenPositionBeanArray;
    private boolean complete;
    
    public SearchTokenPositionListBean() {
    }
    
    public SearchTokenPositionBean[] getSearchTokenPositionBeanArray() {
        return searchTokenPositionBeanArray;
    }
    
    public void setSearchTokenPositionBeanArray(SearchTokenPositionBean[] searchTokenPositionBeanArray) {
        this.searchTokenPositionBeanArray = searchTokenPositionBeanArray;
    }
    
    public boolean getComplete() {
        return complete;
    }
    
    public void setComplete(boolean complete) {
        this.complete = complete;
    }
    
    public int size() {
        if (searchTokenPositionBeanArray == null) return 0;
        return searchTokenPositionBeanArray.length;
    }
    
    public SubstringPosition getSearchTokenPosition(int i) {
        return searchTokenPositionBeanArray[i].getSubstringPosition();
    }

    public int getSearchTokenIndexForPosition(int i) {
        return searchTokenPositionBeanArray[i].getSearchTokenIndex();
    }

    public boolean containsAllSearchTokens() {
        return complete;
    }

}
