/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.scrutari.searchengine.util;

import net.mapeadores.scrutari.db.*;
import net.mapeadores.util.collections.LinkedIntHashMap;

/**
 *
 * @author Vincent Calame
 */
public class SearchOptionsUtils {
    
    private SearchOptionsUtils() {
    }
    
    public static int[] getCodethesaurusArray(ScrutariDB scrutariDB, int[] codecorpusArray) {
        LinkedIntHashMap thesaurusMap = new LinkedIntHashMap();
        DataManager dataManager = scrutariDB.getDataManager();
        int[] codethesaurusArray = dataManager.getCodethesaurusArray();
        for (int i = 0; i < codecorpusArray.length;i++) {
            int codecorpus = codecorpusArray[i];
            for (int j = 0; j < codethesaurusArray.length;j++) {
                int codethesaurus = codethesaurusArray[j];
                if (dataManager.hasIndexation(codecorpus, codethesaurus)) {
                    thesaurusMap.put(codethesaurus,Boolean.TRUE);
                }
            }
        }
        return thesaurusMap.getKeyArray();
    }
    
}
