/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2005 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.scrutari.uri;
import java.io.Serializable;

/**
 *
 * @author Vincent Calame
 */
public final class IndexationKey implements Serializable,Comparable {
    MotcleURI motcleURI;
    FicheURI ficheURI;
    
    public IndexationKey(FicheURI ficheURI, MotcleURI motcleURI) {
        this.ficheURI = ficheURI;
        this.motcleURI = motcleURI;
    }
    
    public MotcleURI getMotcleURI() {
        return motcleURI;
    }
    
    public FicheURI getFicheURI() {
        return ficheURI;
    }
    
    public int hashCode() {
        return ficheURI.hashCode() + motcleURI.hashCode();
    }
    
    public int compareTo(Object o) {
        return compareTo((IndexationKey) o);
    }
    
    public int compareTo(IndexationKey indexationKey) {
        int resultat = ficheURI.compareTo(indexationKey.ficheURI);
        if (resultat == 0) {
            resultat = motcleURI.compareTo(indexationKey.motcleURI);
        }
        return resultat;
    }
    
    public boolean equals(Object o) {
        if (o == this) return true;
        if (!(o instanceof IndexationKey)) return false;
        IndexationKey uid = (IndexationKey) o;
        return (compareTo(uid) == 0);
    }

}
