/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2005 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.scrutari.uri;

import java.io.*;
import java.net.*;

/**
 *
 * @author Vincent Calame
 */
public abstract class ScrutariURI implements Serializable {
   public final static short BASEURI_TYPE = 1;
   public final static short CORPUSURI_TYPE = 2;
   public final static short THESAURUSURI_TYPE = 3;
   public final static short FICHEURI_TYPE = 4;
   public final static short MOTCLEURI_TYPE = 5;
    
   public URI toURI() {
        try {
            return new URI(toString());
        }
        catch(URISyntaxException urise) {
            urise.printStackTrace();
            return null;
        }
    }
   
   public abstract String toString();
   
   public abstract short getType();
    
}
