/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2005 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.scrutari.uri;

/**
 *
 * @author Vincent Calame
 */
public class URIParseException extends Exception {
    public final static short URISYNTAX_EXCEPTION = 0;
    public final static short MISSINGSCHEME_EXCEPTION = 1;
    public final static short UNKNOWNSCHEME_EXCEPTION = 2;
    public final static short OPAQUEURI_EXCEPTION = 3;
    public final static short MALFORMEDPATH_EXCEPTION = 4;
    short type;
    
    public URIParseException(short type) {
        this.type = type;
    }
    
    public URIParseException(short type, String message) {
        super(message);
        this.type = type;
    }
    
    public short getType() {
        return type;
    }
    
}
