/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.scrutari.xml;

import net.mapeadores.scrutari.data.*;
import net.mapeadores.scrutari.db.*;
import net.mapeadores.scrutari.uri.*;
import org.w3c.dom.*;
import net.mapeadores.util.xml.*;
import java.util.*;
import net.mapeadores.util.primitives.*;
import net.mapeadores.util.langinteger.*;
import net.mapeadores.util.text.*;
import net.mapeadores.util.logging.*;

/**
 *
 * @author Vincent Calame
 */
public class Parameters {
    private HashMap internMap = new HashMap();
    private HashSet uriMap = new HashSet();
    private ScrutariDB.Builder scrutariDBBuilder;
    private ScrutariXmlErrorHandler scrutariXmlErrorHandler;
    private IndexationData.BuilderList indexationDataBuilderList = new IndexationData.BuilderList();
   private BaseURI baseURI;
    /*private baseU*/
    
    public Parameters(ScrutariDB.Builder scrutariDBBuilder,ScrutariXmlErrorHandler scrutariXmlErrorHandler) {
        this.scrutariDBBuilder = scrutariDBBuilder;
        this.scrutariXmlErrorHandler = scrutariXmlErrorHandler;
    }

    public ScrutariDB.Builder getScrutariDBBuilder() {
        return scrutariDBBuilder;
    }

    public ScrutariXmlErrorHandler getScrutariXmlErrorHandler() {
        return scrutariXmlErrorHandler;
    }
    
    public boolean testDoublon(Object obj) {
        if (uriMap.contains(obj)) return false;
        uriMap.add(obj);
        return true;
    }

    public BaseURI getBaseURI() {
        return baseURI;
    }

    public void setBaseURI(BaseURI baseURI) {
        this.baseURI = baseURI;
    }
    
    public ScrutariURI intern(ScrutariURI scrutariURI) {
        Object obj = internMap.get(scrutariURI);
        if (obj != null) return (ScrutariURI) obj;
        internMap.put(scrutariURI,scrutariURI);
        return scrutariURI;
    }

    public IndexationData.BuilderList getIndexationDataBuilderList() {
        return indexationDataBuilderList;
    }
    
    
    
    
}
