/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.sctserver;

/**
 *
 * @author Vincent Calame
 */
public interface SearchLog {
    
    public int[] getMonthIntegerArray();
    
    public DayLog[] getDayLogArray(int monthInteger);
    
    public interface DayLog {
        
        public int getDateInteger();
        
        public QueryLog[] getQueryLogArray();
        
        public DayStats getDayStats();
        
    }
    
    public interface QueryLog {
        
        public String getRemoteAddress();
        
        public String getSearchSequence();
        
        public String getSite();
        
        /**
         * Les : points sont remplacés par des °
         */
        public String getReferrer();
        
        public int getFicheCount();
        
        /**
         * Retourne -1 si il n'y a pas eu de filtre sur les fiches
         */
        public int getFicheMaximum();
        
        public int getAllMotcleCount();
        
        public int getCompleteMotcleCount();
        
    }
    
    public interface DayStats {
        
        public int getCorpusCount();
        
        public int getThesaurusCount();
        
        public int getMotcleCount();
        
        public int getFicheCount();
        
        public int getBaseCount();
        
        public int getLexieCount();
        
        public int getIndexationCount();
    }
    
}
