/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.sctserver.admin;

import java.net.*;
import net.mapeadores.scrutari.uri.*;

/**
 *
 * @author Vincent Calame
 */
public interface ScrutariInfo {
    public static final short OK_STATE = 1;

    public static final short UNKNOWN_STATE = 0;
       
    public static final short INFO_NOCONNECTION_STATE = -11;
    public static final short INFO_BROKENURL_STATE = -12;
    public static final short INFO_DOWNLOADERROR_STATE = -13;
    public static final short INFO_NOTXML_STATE = -14;
    public static final short INFO_WRONGXML_STATE = -15;
    
    public static final short DATA_NOCONNECTION_STATE = -21;
    public static final short DATA_BROKENURL_STATE = -22;
    public static final short DATA_DOWNLOADERROR_STATE = -23;
    public static final short DATA_NOTXML_STATE = -24;
    /*public static final short INFO_WRONGXML_STATE = -7;*/
    
    public String getKeyString();
    
    public URL getUrl();
    
    public short getState();
    
    public int getLastUpdate();

    public URL getScrutariDataUrl();
    
    public BaseURI getBaseURI();
    
}
