/* RechercheDeFiches - Article Search Engine
 *
 * Copyright (C) 2005 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package fr.exemole.sctserver.config;
import java.io.*;
/**
 *
 * @author  Vincent Calame
 */
public class ConfigException extends RuntimeException {
    short type;
    final public static short CONFIG_FILE_ABSENT = 0;
    Exception e;
    
    public ConfigException(Exception e) {
        super(e);
        this.e = e;
        e.printStackTrace();
    }
    
    public ConfigException(String message) {
        super(message);
    }
    
    public void printStackTraceException(PrintWriter writer) {
        e.printStackTrace(writer);
    }
    
    public boolean hasSource() {
        return e!= null;
    }
    
    public Exception getSource() {
        return e;
    }
    
    public String getMessage() {
        if (e != null) {
            return e.getClass().getName() + ": " + e.getMessage();
        }
        else return super.getMessage();
    }
    
    
    
}
