/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2005-2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package fr.exemole.sctserver.request;


/**
 *
 * @author Vincent Calame
 */
public class RequestInfo {
    private String remoteAddress;
    private boolean withLog = true;
    private String site;
    private String referrer;
    
    public RequestInfo(String remoteAddress,boolean withLog, String site, String referrer) {
        this.remoteAddress = checkString(remoteAddress);
        this.withLog = withLog;
        this.site = checkString(site);
        this.referrer = checkString(referrer);        
    }
    
    /**
     * Nul ou de longueur non nulle
     */
    public String getRemoteAddress() {
        return remoteAddress;
    }
    
    public boolean withLog() {
        return withLog;
    }
    
    /**
     * Nul ou de longueur non nulle
     */
    public String getSite() {
        return site;
    }
    
    /**
     * Nul ou de longueur non nulle
     */
    public String getReferrer() {
        return referrer;
    }
    
    private String checkString(String s) {
        if (s == null) return null;
        s = s.trim();
        if (s.length() == 0) return null;
        return s;
    }
    
}
