/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2007 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.sctserver.request.simple;



/**
 *
 * @author Vincent Calame
 */
public class SimpleParameterErrorException extends Exception {
    public static short UNDEFINED_PARAMETER = 1;
    public static short WRONG_PARAMETER = 2;
    public static short NOTINTEGER_PARAMETER = 3;
    public static short EMPTY_SEARCHSEQUENCE_PARAMETER = 10;
    public static short UNKNWON_CORPUSCODE_PARAMETER = 11;
    public static short UNKNWON_BASECODE_PARAMETER = 12;
    public static short UNKNWON_THESAURUSCODE_PARAMETER = 13;
    public static short UNKNWON_IDRECHERCHE_PARAMETER = 14;
    public static short MISSING_PARAMETER = 99;
    private String parameterName;
    private String parameterValue;
    private short type;
    
    public SimpleParameterErrorException() {
        this.type = MISSING_PARAMETER;
    }
    
    public SimpleParameterErrorException(String parameterName) {
        this.parameterName = parameterName;
        this.type = UNDEFINED_PARAMETER;
    }
    
    public SimpleParameterErrorException(short type, String parameterName, String parameterValue) {
        this.type = type;
        this.parameterName = parameterName;
        this.parameterValue = parameterValue;
    }
    
    public String getParameterName() {
        return parameterName;
    }
    
    public String getParameterValue() {
        return parameterValue;
    }
    
    
    public short getType() {
        return type;
    }
}
