/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.sctserver.request.simple.catalog;

import fr.exemole.sctserver.request.simple.SimpleRequest;
import java.io.*;
import net.mapeadores.scrutari.db.*;
import net.mapeadores.scrutari.db.util.*;
import net.mapeadores.scrutari.data.*;
import net.mapeadores.scrutari.searchengine.MotcleSearchResultInfo;
import net.mapeadores.scrutari.searchengine.SearchResult;
import net.mapeadores.scrutari.searchengine.SearchTokenPositionList;
import net.mapeadores.util.text.*;
import net.mapeadores.util.langinteger.*;
import fr.exemole.sctserver.*;
import fr.exemole.sctserver.admin.*;

/**
 *
 * @author Vincent Calame
 */
public class ClasseRequest extends SimpleRequest {
    private int uiLangInteger;
    private OptionsManager optionsManager;
    
    public ClasseRequest(SctServer sctServer, int uiLangInteger) {
        super(sctServer.getScrutariDB());
        optionsManager = sctServer.getOptionsManager();
        this.uiLangInteger = uiLangInteger;
    }
    
    public void printResponse(PrintWriter pw) throws IOException {
        int classeCount = optionsManager.getCorpusClasseCount();
        for(int i = 0; i < classeCount; i++) {
            CorpusClasse corpusClasse = optionsManager.getCorpusClasse(i);
             printCorpusClasse(pw,corpusClasse);
        }
        
    }
    
    private void printCorpusClasse(PrintWriter pw, CorpusClasse corpusClasse) throws IOException {
        pw.print("#c");
        pw.print('\n');
        pw.print("clval=");
        pw.print(corpusClasse.getClasseValue());
        pw.print('\n');
        String lib = corpusClasse.getLibelleString(uiLangInteger, false);
        if (lib == null) lib = String.valueOf(corpusClasse.getClasseValue());
        pw.print("cllib=");
        pw.print(lib);
        pw.print('\n');
    }
    
}
