/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2007 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.sctserver.request.simple.catalog;

import fr.exemole.sctserver.request.simple.SimpleRequest;
import java.io.*;
import net.mapeadores.scrutari.db.*;
import net.mapeadores.scrutari.data.*;
import net.mapeadores.scrutari.uri.*;

/**
 *
 * @author Vincent Calame
 */
public class CorpusChiffreRequest extends SimpleRequest {
    private int codeBase;
    private String nomCorpus;
    
    public CorpusChiffreRequest(ScrutariDB scrutariDB,int codeBase, String nomCorpus) {
        super(scrutariDB);
        this.codeBase = codeBase;
        this.nomCorpus = nomCorpus;
    }
    
    public void printResponse(PrintWriter pw) throws IOException {
        DataManager dataManager = scrutariDB.getDataManager();
        BaseData baseData = dataManager.getBaseDataByCode(codeBase);
        CorpusURI corpusURI = new CorpusURI(baseData.getBaseURI(),nomCorpus);
        pw.print(dataManager.getScrutariURICoder().getCode(corpusURI));
    }
    
}
