/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.sctserver.request.simple.catalog;

import fr.exemole.sctserver.request.simple.SimpleRequest;
import net.mapeadores.scrutari.db.*;
import java.io.*;
import net.mapeadores.scrutari.searchengine.SearchOptions;
import net.mapeadores.scrutari.searchengine.SearchResult;
import net.mapeadores.util.text.*;
import net.mapeadores.util.langinteger.*;

/**
 *
 * @author Vincent Calame
 */
public class SearchHeaderRequest extends SimpleRequest {
    private SearchResult searchResult;
    
    public SearchHeaderRequest(ScrutariDB scrutariDB,SearchResult searchResult) {
        super(scrutariDB);
        this.searchResult = searchResult;
    }
    
     public void printResponse(PrintWriter pw) throws IOException {
        SearchSequence searchSequence = searchResult.getSearchSequence();
        SearchOptions searchOptions = searchResult.getSearchOptions();
        pw.print("#h");
        pw.print('\n');
        pw.print("chrch=");
        pw.print(searchSequence.toString());
        pw.print('\n');
        pw.print("idrch=");
        pw.print(searchResult.getIdentifiant());
        pw.print('\n');
        pw.print("lngsq=");
        pw.print(searchSequence.getTokenCount());
        pw.print('\n');
        pw.print("lgrch=");
        int[] langIntegerArray = searchOptions.getLangIntegerArray();
        if (langIntegerArray != null) {
            pw.print(LangIntegerUtils.toString(langIntegerArray,','));
            pw.print('\n');
        } else pw.print('\n');
        pw.print("ttfch=");
        pw.print(searchResult.getFicheCount());
        pw.print('\n');
        pw.print("tpfch=");
        pw.print(searchResult.getFicheMaximum());
        pw.print('\n');
        pw.print("ttmtc=");
        pw.print(searchResult.getAllMotcleCount());
        pw.print('\n');
        pw.print("tcmtc=");
        pw.print(searchResult.getCompleteMotcleCount());
        pw.print('\n');
        pw.print("lagui=");
        pw.print(LangInteger.toString(searchOptions.getLangUi()));
        pw.print('\n');
    }
    
}
