/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package fr.exemole.sctserver.searchlog;

import fr.exemole.sctserver.*;

/**
 *
 * @author Vincent Calame
 */
public class DefaultQueryLog implements SearchLog.QueryLog {
    private String remoteAddress = "";
    private String searchSequence = "";
    private String site = "";
    private String referrer = "";
    private int ficheCount = -1;
    private int ficheMaximum = -1;
    private int allMotcleCount = -1;
    private int completeMotcleCount = -1;
    
    public DefaultQueryLog() {
    }

    public String getRemoteAddress() {
        return remoteAddress;
    }
    
    public String getSearchSequence() {
        return searchSequence;
    }
    
    protected void innerSetRemoteAddress(String remoteAddress) {
        if (remoteAddress == null) this.remoteAddress = "";
        else this.remoteAddress = remoteAddress;
    }
    
    protected  void innerSetSearchSequence(String searchSequence) {
        if (searchSequence == null) this.searchSequence = "";
        else this.searchSequence = searchSequence;
    }
    
    public String getSite() {
        return site;
    }
    
    protected void innerSetSite(String site) {
        if (site == null) this.site = "";
        else this.site = site;
    }
    
    public int getFicheCount() {
        return ficheCount;
    }
    
    protected void innerSetFicheCount(int ficheCount) {
        if (ficheCount < 0) this.ficheCount = -1;
        else this.ficheCount = ficheCount;
    }
    
    public int getFicheMaximum() {
        return ficheMaximum;
    }
    
    protected void innerSetFicheMaximum(int ficheMaximum) {
        if (ficheMaximum < 0) this.ficheMaximum = -1;
        else this.ficheMaximum = ficheMaximum;
    }

    public int getAllMotcleCount() {
        return allMotcleCount;
    }

    public int getCompleteMotcleCount() {
        return completeMotcleCount;
    }

    protected void innerSetAllMotcleCount(int allMotcleCount) {
        this.allMotcleCount = allMotcleCount;
    }

    protected void innerSetCompleteMotcleCount(int completeMotcleCount) {
        this.completeMotcleCount = completeMotcleCount;
    }

    public String getReferrer() {
        return referrer;
    }

    protected void innerSetReferrer(String referrer) {
        if (referrer == null) this.referrer = "";
        else this.referrer = referrer.replace(':','°');
    }
    
}
