/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008-2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.servlets;

import javax.servlet.http.*;
import org.w3c.dom.*;
import net.mapeadores.util.xml.*;

/**
 *
 * @author Vincent Calame
 */
public class CommandRequestMap extends DefaultRequestMap {
    public final static String LOCALE_PARAMETER = "locale";
    public final static String COMMAND_PARAMETER = "cmd";
    public final static String OUTPUT_PARAMETER = "output";
    public final static String PAGE_PARAMETER = "page";
    
    public final static short DEFAULT_OUTPUT = 1;
    public final static short XML_OUTPUT = 2;
    public final static short PAGE_OUTPUT = 3;
    public final static short CUSTOM_OUTPUT = 4;
    private boolean localeInit = false;
    private boolean commandInit = false;
    private boolean outputInit = false;
    private boolean pageInit = false;
    private String output;
    private String command;
    private String locale;
    private String page;
    /* private Document document;
    
    public final static String XML_PARAMETER = "xml";
     
    public Document getDocument() {
        return document;
    }
     
     public void initXMLParameter() throws XMLException {
        String paramxml = getParameter(XML_PARAMETER);
        if (paramxml != null) {
            document = XMLUtils.getDocument(paramxml);
        }
    }
     
     */
    
    public CommandRequestMap(HttpServletRequest request) {
        super(request);
    }
    
    public CommandRequestMap(HttpServletRequest request, MultiPartParser multiPartParser) { 
        super(request,multiPartParser);
    }
    
    
    public String getLocaleParameter() {
        if (localeInit) {
            return locale;
        }
        locale = getParameterString(LOCALE_PARAMETER);
        localeInit = true;
        return locale;
    }
    
    public String getCommandParameter() {
        if (commandInit) {
            return command;
        }
        command = getParameterString(COMMAND_PARAMETER);
        commandInit = true;
        return command;
    }
    
    public String getOutputParameter() {
        if (outputInit) {
            return output;
        }
        output = getParameterString(OUTPUT_PARAMETER);
        outputInit = true;
        return output;
    }
    
    public boolean isPageDefined() {
        String pageVal = getPageParameter();
        if ((pageVal == null) || (pageVal.length() == 0)) return false;
        return true;
    }
    
    public String getPageParameter() {
        if (pageInit) {
            return page;
        }
        page = getParameterString(PAGE_PARAMETER);
        pageInit = true;
        return page;
    }
    
    public short getOutputType() {
        String outputVal = getOutputParameter();
        if ((outputVal == null) || (outputVal.length() == 0)) return DEFAULT_OUTPUT;
        if (outputVal.equals("xml")) {
            return XML_OUTPUT;
        }
        if (outputVal.equals("page")) {
            return PAGE_OUTPUT;
        }
        return CUSTOM_OUTPUT;
    }
    
    public boolean isXmlPrefferredOutput() {
        short outputType = getOutputType();
        if (outputType == XML_OUTPUT) return true;
        if (outputType != DEFAULT_OUTPUT) return false;
        return false;
        /*return(getDocument() != null);*/
    }
    
    private String getParameterString(String parameterName) {
        /*Document document = getDocument();
        if (document == null) {*/
            return getParameter(parameterName);
        /*}
        else {
            String paramValue = document.getDocumentElement().getAttribute(parameterName);
            if (paramValue.length() == 0) {
                return getParameter(parameterName);
            }
            else return paramValue;
        }*/
    }
    
}
