/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.servlets;

import java.util.*;
import net.mapeadores.util.logging.*;
import net.mapeadores.util.localisation.*;

/**
 *
 * @author Vincent Calame
 */
public class ErrorCommandTest implements CommandTest {
    CommandMessage errorMessage;
    
    private ErrorCommandTest(CommandMessage errorMessage) {
        this.errorMessage = errorMessage;
    }
    
    public boolean mayBeDone() {
        return false;
    }
    
    public CommandMessage getErrorMessage() {
        return errorMessage;
    }
    
    public static ErrorCommandTest newInstance(CommandMessage errorMessage) {
        if (!errorMessage.isErrorMessage()) throw new IllegalArgumentException("errorMessage.isErrorMessage() != false");
        return new ErrorCommandTest(errorMessage);
        
    }
    
    public static ErrorCommandTest newSimpleErrorInstance(String messageKey, Object messageValue) {
        return new ErrorCommandTest(CommandMessage.error(messageKey,messageValue));
    }
    
    public static ErrorCommandTest newMultiErrorInstance(String messageKey, List resourceItemList) {
        return new ErrorCommandTest(CommandMessage.multiError(new ResourceItem(messageKey),resourceItemList));
    }
    
}
