/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2007 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.servlets;

import javax.servlet.http.HttpServletResponse;
import java.io.*;

/**
 *
 * @author Vincent Calame
 */
public class SimpleResponsePrinter implements ResponsePrinter {
    private String text;
    private boolean isHtml = false;
    
    public SimpleResponsePrinter(String text) {
        this.text = text;
    }
    
    public void setHtml(boolean isHtml) {
        this.isHtml = isHtml;
    }
    
    public void printResponse(HttpServletResponse response) throws IOException {
        if (isHtml) {
            response.setContentType("text/html;charset=UTF-8");
        }
        else response.setContentType("text/plain;charset=UTF-8");
        PrintWriter pw = response.getWriter();
        pw.print(text);
        pw.close();
    }
}
