/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package net.mapeadores.util.awt;

import java.awt.*;

/**
 *
 * @author Vincent Calame
 */
public class CartesianOrigin {
    int graphicOx = 10;
    int graphicOy = 10;
    
    
    public CartesianOrigin() {
    }
    
    public CartesianOrigin(CartesianOrigin cartesianOrigin) {
        this.graphicOx = cartesianOrigin.graphicOx;
        this.graphicOy = cartesianOrigin.graphicOy;
    }
    
    public int getGraphicX() {
        return graphicOx;
    }
    
    public int getGraphicY() {
        return graphicOy;
    }
    
    public Point setGraphicCoordinates(int ox, int oy) {
        Point translation = new Point(ox - graphicOx, oy - graphicOy);
        graphicOx = ox;
        graphicOy = oy;
        return translation;
    }
    
    public CartesianPoint toCartesianPoint(Point graphicPoint) {
        return new CartesianPoint(graphicPoint,new Point(graphicOx,graphicOy));
    }
    
    public Point toGraphicPoint(CartesianPoint cartesianPoint) {
        return new Point(graphicOx + cartesianPoint.x ,graphicOy - cartesianPoint.y);
    }
    
    public Point toGraphicPoint(CartesianPoint otherOrigin, CartesianPoint relativeToOtherOrigin) {
        return new Point(graphicOx + otherOrigin.x + relativeToOtherOrigin.x ,graphicOy - otherOrigin.y - relativeToOtherOrigin.y);
    }
    
}
