/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package net.mapeadores.util.awt;

import java.awt.*;
import java.awt.font.*;

/**
 *
 * @author Vincent Calame
 */
public class FontInfo {
    private int ascent;
    private int descent;
    private int lineHeight;
    private int mCharWidth;
    
    public FontInfo(Font font,Component reference) {
            FontMetrics fontMetrics = reference.getFontMetrics(font);
            ascent =fontMetrics.getAscent();
            descent = fontMetrics.getDescent();
            lineHeight = fontMetrics.getHeight();
            mCharWidth = fontMetrics.stringWidth("m");
    }
    
    public FontInfo(Font font,FontRenderContext fontRenderContext) {
        LineMetrics lm = font.getLineMetrics("Pplj",fontRenderContext);
        ascent = Math.round(lm.getAscent());
        descent = Math.round(lm.getDescent());
        lineHeight = (int) Math.ceil(lm.getHeight());
        mCharWidth = (int) font.getStringBounds("m",fontRenderContext).getWidth();
    }

    public int getAscent() {
        return ascent;
    }
    
    public int getDescent() {
        return descent;
    }
    
    public int getLineHeight() {
        return lineHeight;        
    }
    
    public int getMCharWidth() {
        return mCharWidth;
    }
    
}
