/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.awt;

import java.awt.*;

/**
 *
 * @author Vincent Calame
 */
public class GraphicsUtils {
    
    private GraphicsUtils() {
    }
    
    public static void drawPoint(Graphics g, int x, int y) {
        g.drawLine(x,y,x,y);
    }
    
    public static void drawHorizontalLine(Graphics g,int x, int y, int length) {
        g.drawLine(x,y, x+length-1,y);
    }
    
    public static void drawVerticalLine(Graphics g,int x, int y, int length) {
        g.drawLine(x,y, x,y + length - 1);
    }
    
    public static void drawDottedRect(Graphics g,int x, int y, int width, int height,int dotSize) {
        drawDottedHorizontalLine(g,x, y, width, dotSize);
        drawDottedHorizontalLine(g,x, y + height - 1, width, dotSize);
    }
    
    public static void drawDottedHorizontalLine(Graphics g,int x, int y, int length, int dotSize) {
        int pas = dotSize * 2;
        int longueur = (length) / pas;
        for(int i = 0; i < longueur;i++) {
            drawHorizontalLine(g, x + i*pas, y, dotSize);
        }
    }
    
}
