/* OutilCarto - Concept Mapping Tool
 *
 * Copyright (C) 2005 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.collections;

import javax.swing.ComboBoxModel;
import javax.swing.AbstractListModel;
import javax.swing.event.ListDataListener;

/**
 *
 * @author Vincent Calame
 */
public abstract class AbstractComboBoxModel extends AbstractListModel implements ComboBoxModel {
    Object selectedItem;
    
    public AbstractComboBoxModel() {
    }
    
    public Object getSelectedItem() {
        return selectedItem;
    }
    
    public void setSelectedItem(Object anItem) {
        selectedItem = anItem;
    }
    
    protected void fireAllRemoved(int oldSize) {
        if (oldSize > 0) fireIntervalRemoved(this, 0, oldSize -1);
    }
    
    protected void fireAllAdded() {
        int size = getSize();
        if (size > 0) fireIntervalAdded(this, 0, size -1);
    }
    
    protected void fireObjectAdded(int index) {
        this.fireIntervalAdded(this, index,index);
    }
    
    protected void fireObjectRemoved(int index) {
        this.fireIntervalRemoved(this,index,index);
    }
    
    protected void fireObjectChanged(int index) {
        this.fireContentsChanged(this,index,index);
    }
    
   protected void fireIndexChanged(int oldindex,int newindex) {
       int index0 = Math.min(oldindex,newindex);
       int index1 = Math.max(oldindex,newindex);
       this.fireContentsChanged(this,index0,index1);
   }
}
