/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2005-2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.collections.crossing;
import net.mapeadores.util.collections.*;

/**
 *
 * @author Vincent Calame
 */
public class HashedCrossingMap extends CrossingMap {
    private IntHashMap sameIndexBagMap = new IntHashMap(); 
    
    public HashedCrossingMap(CrossingModel crossingModel) {
        super(crossingModel,0);
    }
    
    public HashedCrossingMap(CrossingModel crossingModel, boolean loneList) {
        super(crossingModel,0,loneList);
    }
    
    /*
     * Retourne le goupre des CrossingEntry pour l'index.
     */
    protected SameIndexBag getSameIndexBag(int index) {
        return (SameIndexBag) sameIndexBagMap.get(index);
    }
    
    /*
     * Retourne le groupe des CrossingeEntry pour l'index en le créant au besoin.
     */
    protected SameIndexBag getOrCreateSameIndexBag(int index) {
        SameIndexBag sameIndexBag = (SameIndexBag) sameIndexBagMap.get(index);
        if (sameIndexBag == null) {
            sameIndexBag = SameIndexBag.newInstance(index,isLoneList());
            sameIndexBagMap.put(index, sameIndexBag);
        }
        return sameIndexBag;
    }
    
    protected int getSameEntryBagCount() {
        return sameIndexBagMap.size();
    }
    
    protected void removeIndex(int index) {
        sameIndexBagMap.remove(index);
    }
    
}
