/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.conditions;

import java.io.Serializable;

/**
 *
 * @author Vincent Calame
 */
public final class ConditionGroupBean implements Serializable {
    private short mode = ConditionsConstants.MODE_OR;
    private ContentConditionBean[] contentConditionBeanArray = new ContentConditionBean[0];
    
    public ConditionGroupBean() {
    }
    
    /*
     * Réservé ConditionGroup
     */
    ConditionGroupBean(short mode,ContentConditionBean[] array) {
        this.mode = mode;
        this.contentConditionBeanArray = array;
    }
    
    public short getMode() {
        return mode;
    }
    
    /**
     *
     *@throws IllegalArgumentException si mode n'est pas égal à ConditionsConstants.MODE_OR ou ConditionsConstants.MODE_AND
     */
    public void setMode(short mode) {
        if ((mode != ConditionsConstants.MODE_OR) && (mode != ConditionsConstants.MODE_AND)) throw new IllegalArgumentException("wrong value");
        this.mode = mode;
    }
    
    public ContentConditionBean[] getContentConditionBeanArray() {
        return contentConditionBeanArray;
    }
    
    public void setContentConditionBeanArray(ContentConditionBean[] array) {
        contentConditionBeanArray = new ContentConditionBean[array.length];
        System.arraycopy(array,0, contentConditionBeanArray,0,array.length);
    }

    /*
     * 0.9.8.2-alpha34, à supprimer 0.9.8.3
     */
    public void setScopeArray(String[] array) {

    }
}
