/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.conditions;

/**
 *@todo
 *
 * @author Vincent Calame
 */
public class ContentCover implements ConditionsConstants {
    short condition1,condition2;
    String text1, text2;
    short cover = INDEPENDANT_COVER;
    boolean inverse = false;
    
    public ContentCover(ContentConditionBean bean1,ContentConditionBean bean2) {
        text1 = bean1.getText();
        text2 = bean2.getText();
        if (text2.length() < text1.length())  {
            inverse = true;
            text2 = text1;
            text1 = bean2.getText();
            condition2 = bean1.getConditionType();
            condition1 = bean2.getConditionType();
        } else {
            condition1 = bean1.getConditionType();
            condition2 = bean2.getConditionType();
        }
        if (Conditions.isIncludingPartConditionType(condition1)) {
            if (Conditions.isIncludingPartConditionType(condition2)) {
                compareIncluding();
            } else if (Conditions.isExcludingPartConditionType(condition2)) {
                
            }
        } else if (Conditions.isExcludingPartConditionType(condition1)) {
            if (Conditions.isIncludingPartConditionType(condition2)) {
                
            } else if (Conditions.isExcludingPartConditionType(condition2)) {
                
            }
        }
    }
    
    public short getCover() {
        if (inverse) {
            if (cover == CONTAINS_COVER) cover = ISCONTAINED_COVER;
            else if (cover == ISCONTAINED_COVER) cover = CONTAINS_COVER;
        }
        return cover;
    }
    
    private void compareIncluding() {
        if (condition1 == CORRESPOND_A) {
            switch(condition2) {
                case CORRESPOND_A :
                    if (text2.equals(text1)) cover = ISCONTAINED_COVER;
                    break;
                case CONTIENT :
                    break;
                case COMMENCE_PAR :
                    break;
                case FINIT_PAR :
                    break;
            }
        }
    }
    
   /*
   switch() {
       case CORRESPOND_A :
       case CONTIENT :
       case COMMENCE_PAR :
       case FINIT_PAR :
   }
    *
    **/
}
