/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2005-2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package net.mapeadores.util.conf;

import java.util.EventObject;
import java.util.List;

/**
 *
 * @author  Vincent Calame
 */
public class ConfEvent extends EventObject {
    Conf confMap;
    String[] paramsname;
    
    /** Creates a new instance of SessionConfEvent */
    public ConfEvent(Conf confMap,String paramname) {
        super(confMap);
        this.confMap = confMap;
        paramsname = new String[1];
        paramsname[0] = paramname;
    }
    
    public ConfEvent(Conf confMap,List paramnameList) {
        super(confMap);
        this.confMap = confMap;
        int size = paramnameList.size();
        paramsname = new String[size];
        for (int i = 0; i < size;i++) {
            paramsname[i] = (String) paramnameList.get(i);
        }
    }
    
    public String getParamName(int i) {
        return paramsname[i];
    }
    
    public int getParamNameCount() {
        return paramsname.length;
    }
    
    public Conf getConfMap() {
        return confMap;
    }
    
}
