/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.conf;

import net.mapeadores.util.xml.*;
import java.io.*;
import java.util.*;

/**
 *
 * @author Vincent Calame
 */
public class ConfXMLPart extends XMLWriterPart {
    
    public ConfXMLPart(XMLWriter xmlWriter) {
        super(xmlWriter);
    }
    
    public void addConf(Conf conf) throws IOException {
        openTag("conf");
        Set stringEntrySet = conf.getStringEntrySet();
        for (Iterator it = stringEntrySet.iterator();it.hasNext();) {
            Map.Entry mapEntry = (Map.Entry) it.next();
            String key = (String) mapEntry.getKey();
            if (!conf.isTransient(key)) {
                startOpenTag("param");
                addAttribute("name", key);
                addAttribute("value", (String) mapEntry.getValue());
                closeEmptyTag();
            }
        }
        closeTag("conf");
    }
    
}
