/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package net.mapeadores.util.conf;

import net.mapeadores.util.xml.XMLUtils;
import java.io.*;
import java.util.*;
import org.w3c.dom.*;

/**
 *
 * @author Vincent Calame
 */
public class ConfXMLStorage {
    
    private ConfXMLStorage() {
    }
    
    public static void writeFormatXML(Writer writer,Conf conf,int nbredetabulations) throws IOException {
        XMLUtils.writeTabs(writer,nbredetabulations);
        writer.write("<conf>");
        Set stringEntrySet = conf.getStringEntrySet();
        for (Iterator it = stringEntrySet.iterator();it.hasNext();) {
            Map.Entry mapEntry = (Map.Entry) it.next();
            String key = (String) mapEntry.getKey();
            if (!conf.isTransient(key)) {
                XMLUtils.writeTabs(writer,nbredetabulations+1);
                writer.write("<param name=\"");
                XMLUtils.escapeXML(key,writer);
                writer.write("\" value=\"");
                XMLUtils.escapeXML((String) mapEntry.getValue(),writer);
                writer.write("\"/>");
            }
        }
        XMLUtils.writeTabs(writer,nbredetabulations);
        writer.write("</conf>");
    }
    
    public static void fillConf(Conf conf, Element element_xml) {
        NodeList paramliste = element_xml.getChildNodes();
        for (int k = 0; k < paramliste.getLength();k++) {
            Node nd2 = paramliste.item(k);
            if (nd2.getNodeType() == Node.ELEMENT_NODE) {
                Element el2 = (Element)nd2 ;
                if (el2.getTagName().equals("param")) {
                    String name= el2.getAttribute("name");
                    String value = el2.getAttribute("value");
                    conf.set(name,value);
                }
            }
        }
    }
    
}
