/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2007 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.exceptions;

import org.xml.sax.*;
import javax.xml.transform.*;

/**
 *
 * @author Vincent Calame
 */
public class ExceptionsUtils {
    
    private ExceptionsUtils() {
    }
    
    public static void append(StringBuffer buf, String publicId, String systemId,int lineNumber,int columnNumber) {
            if (publicId != null) {
                buf.append(publicId);
                buf.append(":");
            }
            if (systemId != null) {
                buf.append(systemId);
                buf.append(":");
            }
            buf.append("line#");
            buf.append(lineNumber);
            buf.append(":col#");
            buf.append(columnNumber);
            buf.append(": ");
    }
    
    public static void append(StringBuffer buf, SAXParseException spe) {
        append(buf,spe.getPublicId(),spe.getSystemId(),spe.getLineNumber(),spe.getColumnNumber());
    }
    
    public static String getMessage(Exception e) {
        String message = e.getClass().getName();
        String msg = e.getLocalizedMessage();
        if (msg != null) {
            message = message + " : " + msg;
        }
        return message;
    }
    
}
