/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.exceptions;

/**
 * Encapsule des exceptions liées au chargement d'une classe (typiquement ClassNotFoundException).
 *
 * @author Vincent Calame
 */
public class NestedClassLoaderException extends RuntimeException {
    Exception exception;
    
    public NestedClassLoaderException(Exception exception) {
         super(exception);
        this.exception = exception;
    }
    
    public Exception getException() {
        return exception;
    }
    
    public String getMessage() {
        return ExceptionsUtils.getMessage(exception);
    }
    
}
