/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2007 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.exceptions;

import org.xml.sax.*;

/**
 *
 * @author Vincent Calame
 */
public class NestedSAXException extends RuntimeException {
    SAXException saxException;
    
    public NestedSAXException(SAXException saxException) {
        super(saxException);
        this.saxException = saxException;
    }
    
    public SAXException getSAXException() {
        return  saxException;
    }
    
    public String getMessage() {
        if (saxException instanceof SAXParseException) {
            StringBuffer buf = new StringBuffer();
            ExceptionsUtils.append(buf,(SAXParseException) saxException);
            buf.append(saxException.getLocalizedMessage());
            return buf.toString();
        }
        else {
            return ExceptionsUtils.getMessage(saxException);
        }
    }
    
}
