/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.html;

/**
 *
 * @author Vincent Calame
 */
public class CheckboxPrinter extends InputListPrinter {
    HTMLAttributes labelAttributes;
    HTMLAttributes inputAttributes;
    private boolean premier = true;
    String racineId = null;
    
    public CheckboxPrinter(HTMLPrinter htmlPrinter, HTMLAttributes labelAttributes, HTMLAttributes checkboxAttributes) {
        super(htmlPrinter);
        this.labelAttributes = labelAttributes;
        this.inputAttributes = checkboxAttributes.copy();
        inputAttributes.setType("checkbox");
        String racineId = checkboxAttributes.getId();
    }
    
    public void start(short valueType) {
        htmlPrinter.appendHiddenInput(inputAttributes.getName(),"");
    }
     
     public  void add(String value, String libelle, int profondeur, boolean selected) {
         if (premier) premier = false;
         else htmlPrinter.appendBr();
         HTMLAttributes lattr = labelAttributes;
         if ((selected) && (getSelectedLabelAttributes() != null)) {
             lattr = getSelectedLabelAttributes();
         }
         htmlPrinter.startLabel(lattr);
         if (racineId != null) {
             inputAttributes.setId(racineId + "_" + value);
         }
         inputAttributes.setValue(value);
         inputAttributes.setChecked(selected);
         htmlPrinter.appendInput(inputAttributes);
         printLib(libelle);
         htmlPrinter.endLabel();
     }
     
     public void end() {
         
     }
    
}
