/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.html;

/**
 *
 * @author Vincent Calame
 */
public abstract class InputListPrinter {
    public final static short VALUE_YES = 1;
    public final static short VALUE_NO = 2;
    public final static short VALUE_NEW = 3;
    private int maxStringLength = 0;
    private boolean withEmptyValue = true;
    private HTMLAttributes selectedLabelAttributes;
    private int listSize;
   
    protected HTMLPrinter htmlPrinter;
    
    public InputListPrinter(HTMLPrinter htmlPrinter) {
        this.htmlPrinter = htmlPrinter;
    }
    
    public void setMaxStringLength(int maxStringLength) {
        this. maxStringLength =  maxStringLength;
    }
    
    public abstract void start(short valueType);
        
    public abstract void add(String value, String libelle, int profondeur, boolean selected);
        
    public abstract void end();
    
    protected void printLib(String lib) {
       if ((maxStringLength < 1) || (lib.length() <= maxStringLength))  {
           htmlPrinter.escape(lib);
       }
       else {
           htmlPrinter.escape(lib.substring(0,maxStringLength));
           htmlPrinter.append("\u2026");
       }
               
    }

    public boolean isWithEmptyValue() {
        return withEmptyValue;
    }

    public void setWithEmptyValue(boolean withEmptyValue) {
        this.withEmptyValue = withEmptyValue;
    }

    public HTMLAttributes getSelectedLabelAttributes() {
        return selectedLabelAttributes;
    }

    public void setSelectedLabelAttributes(HTMLAttributes selectedLabelAttributes) {
        this.selectedLabelAttributes = selectedLabelAttributes;
    }

    public int getListSize() {
        return listSize;
    }

    public void setListSize(int listSize) {
        this.listSize = listSize;
    }
    
}
