/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.html;

/**
 *
 * @author Vincent Calame
 */
public class SelectPrinter extends InputListPrinter {
    private HTMLAttributes selectAttributes;
    
    public SelectPrinter(HTMLPrinter htmlPrinter,HTMLAttributes selectAttributes) {
        super(htmlPrinter);
        this.selectAttributes = selectAttributes;
    }
    
    public void start(short valueType) {
        htmlPrinter.startSelect(selectAttributes);
        if (isWithEmptyValue()) {
            addEmptyValue((valueType != VALUE_YES));
        } else {
            if (valueType == VALUE_NO) {
                addEmptyValue(true);
            }
        }
    }
    
    public void end() {
        htmlPrinter.endSelect();
    }
    
    public  void add(String value, String libelle, int profondeur, boolean selected) {
        htmlPrinter.startOption(value,selected);
        for (int i = 0; i < profondeur;i++) {
            htmlPrinter.doublespace();
        }
        htmlPrinter.escape(libelle);
        htmlPrinter.endOption();
    }
    
    private void addEmptyValue(boolean emptyValueSelected) {
        htmlPrinter.startOption("",  emptyValueSelected);
        htmlPrinter.append("---");
        htmlPrinter.endOption();
    }
    
}
