/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.io;

import java.io.*;

/**
 *
 * @author Vincent Calame
 */
public class DefaultDocStream implements DocStream {
    private InputStream inputStream;
    private String mimeType;
    private String charset;
    private int length = -1;
    
    public DefaultDocStream(InputStream inputStream,String mimeType) {
        this(inputStream,mimeType,null,-1);
    }
    
    public DefaultDocStream(InputStream inputStream,String mimeType, int length) {
        this(inputStream,mimeType,null,length);
    }
    
    public DefaultDocStream(InputStream inputStream,String mimeType, String charset) {
        this(inputStream,mimeType,charset,-1);
    }
    
    public DefaultDocStream(InputStream inputStream,String mimeType, String charset,int length) {
        this.inputStream = inputStream;
        this.mimeType = mimeType;
        this.charset = charset;
        this.length = length;
    }

    public InputStream getInputStream() throws IOException {
        return inputStream;
    }

    public int getLength() {
        return length;
    }

    public String getMimeType() {
        return mimeType;
    }
    
    public String getCharset() {
        return charset;
    }
}
