/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.io;

import java.io.*;

/**
 *
 * @author Vincent Calame
 */
public class FileDocStream implements DocStream {
    private File f;
    private String mimeType;
    private String charset;
    
    public FileDocStream(File f,String mimeType) {
        this.mimeType = mimeType;
        this.f = f;
        this.charset = null;
    }
    
    public FileDocStream(File f,String mimeType, String charset) {
        this.mimeType = mimeType;
        this.f = f;
        this.charset = charset;
    }

    public InputStream getInputStream() throws IOException {
        return new FileInputStream(f);
    }

    public int getLength() {
        return (int) f.length();
    }

    public String getMimeType() {
        return mimeType;
    }
    
    public String getCharset() {
        return charset;
    }
    
}
