/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.localisation;

import net.mapeadores.util.text.*;
import java.util.*;

/**
 *
 * @author Vincent Calame
 */
public class ResourceItem {
    private String resourceKey;
    private Object value;
    
    public ResourceItem(String resourceKey) {
        this.resourceKey = resourceKey;
    }
    
    public ResourceItem(String resourceKey, Object value) {
        this.resourceKey = resourceKey;
        this.value = value;
    }
    
    public String getResourceKey() {
        return resourceKey;
    }
    
    public Object getValue() {
        return value;
    }
    
    public String toString(ResourceBundle resourceBundle) {
        return StringUtils.getMessage(resourceBundle, resourceKey,value);
    }
    
    public static ResourceItem newInstance(String resourceKey, Object val1, Object val2) {
        Object[] array = new Object[2];
        array[0] = val1;
        array[1] = val2;
        return new ResourceItem(resourceKey, array);
    }
    
    public static ResourceItem newInstance(String resourceKey, Object val1, Object val2, Object val3) {
        Object[] array = new Object[3];
        array[0] = val1;
        array[1] = val2;
        array[2] = val3;
        return new ResourceItem(resourceKey, array);
    }
    
    public static ResourceItem newInstance(String resourceKey, Object val1, Object val2, Object val3, Object val4) {
        Object[] array = new Object[4];
        array[0] = val1;
        array[1] = val2;
        array[2] = val3;
        array[3] = val4;
        return new ResourceItem(resourceKey, array);
    }
}
