/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2007 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.logging;

import java.util.*;

/**
 *
 * @author Vincent Calame
 */
public class ProcessLogUtils {
    
    private ProcessLogUtils() {
    }
    
    public static String toString(ProcessLog processLog) {
        StringBuffer buf = new StringBuffer();
        append(buf,processLog);
        return buf.toString();
    }
    
    public static void append(StringBuffer buf, ProcessLog processLog) {
        Set set = processLog.getProcessSourceURISet();
        boolean premier = true;
        for(Iterator it = set.iterator(); it.hasNext();) {
            String processSourceURI = (String) it.next();
            List list = processLog.getProcessLogItemList(processSourceURI);
            if (list.size() > 0) {
                if (premier) premier = false;
                else buf.append("\n\n");
                buf.append("[[");
                buf.append(processSourceURI);
                buf.append("]]");
                for(Iterator it2 = list.iterator(); it2.hasNext();) {
                    ProcessLogItem rli = (ProcessLogItem) it2.next();
                    buf.append("\n      ");
                    buf.append(rli.toString());
                }
            }
        }
    }
    
}
