/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2007 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.logging;

import java.io.*;
import java.net.*;

/**
 *
 * @author Vincent Calame
 */
public class ProcessURI {
    private String processURIString;
    
    protected ProcessURI(String processURIString) {
        this.processURIString = processURIString;
    }
    
    
    public String getProcessURIString() {
        return processURIString;
    }
    
    public static ProcessURI fromFile(File f) {
        return new ProcessURI(f.getPath());
    }
    
    public static ProcessURI fromURL(URL url) {
        return new ProcessURI(url.toString());
    }
    
    public static ProcessURI fromString(String s) {
        return new ProcessURI(s);
    }
    
    public String toString() {
        return processURIString;
    }
    
}
