/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2005-2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package net.mapeadores.util.primitives;

/**
 *
 * @author  Vincent Calame
 */
public class BitmaskUtils {
    static public final int ALLBITMASK = 0xFFFFFFFF;
    static int[] bitValueArray = new int[32];
    static {
        for (int i = 0; i < 31;i++) {
            bitValueArray[i] = (int) Math.pow(2,i);
        }
        bitValueArray[31] = 0x80000000;
    }
    
    static public int getBitValue(int rank) {
        return bitValueArray[rank];
    }
    
    static public boolean booleanValueAt(int mask,int rank) {
        if ((rank < 0) || (rank > 31)) throw new IllegalArgumentException();
        return (mask & bitValueArray[rank]) != 0;
    }
    
    /**
     * Retourne une valeur de 0 à 31 qui indique la première puissance de deux pour laquelle le bitmask est à la valeur true.
     */
    static public int getFirstRank(int mask) {
        for (int i = 0; i < 31;i++) {
            if ((bitValueArray[i] & mask) != 0) return i;
        }
        return -1;
    }
    
    static public boolean isLoneValue(int mask) {
        if (mask == bitValueArray[31]) return true;
        for (int i = 0;i < 31;i++) {
            int val = bitValueArray[i];
            if (mask < val) return false;
            if (mask == val) return true;
        }
        return false;
    }
    
}
