/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2005 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package net.mapeadores.util.primitives;

/**
 *
 * @author  Vincent Calame
 */
public class IntKey {
    /**
     * Valeur entière qui doit être utilisée par les clés entières comme équivalent à la valeur <em>null</em>.
     * NULL est égal à 0x80000000 soit <code>1000 0000 0000 0000 0000 0000 0000 0000</code>, soit -2147483648.
     */
    public final static int NULL = 0x80000000;
    
    /*
     * Ne fait rien mais permet à cette classe d'être étendue par d'autres classes.
     */
    protected IntKey() {
    }
    
    /**
     * Équivalent de (i == NULL)
     */
    public final static boolean isNull(int i) {
        return (i == NULL);
    }
    
}
