/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package net.mapeadores.util.primitives;

/**
 * Représente un entier strictement positif.
 *
 * @author Vincent Calame
 */
public class PositiveInteger {
    int intValue;
    
    /**
     *
     *@throws IllegalArgumentException si i <= 0
     */
    public PositiveInteger(int intValue) {
        if (intValue <= 0) throw new IllegalArgumentException("intValue <= 0");
        this.intValue = intValue;
    }
    
    public int intValue() {
        return intValue;
    }
    
    public int hashCode() {
        return intValue;
    }
    
    public boolean equals(Object obj) {
        if (obj instanceof PositiveInteger) {
            return (intValue == ((PositiveInteger)obj).intValue());
        }
        return false;
    }
    
    public String toString() {
        return String.valueOf(intValue);
    }
    
}
