/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.primitives;

import java.util.*;
import net.mapeadores.util.common.*;
import net.mapeadores.util.langinteger.*;

/**
 *
 * @author Vincent Calame
 */
public class PrimL10nUtils implements GeoCommon {
    
    private PrimL10nUtils() {
    }
    
    public static String getLib(DegreSexagesimal degreSexagesimal, Locale locale, boolean latitude) {
       StringBuffer buf = new StringBuffer();
       buf.append(degreSexagesimal.toString(false," "));
       buf.append(" ");
       short type = 0;
       int degre = degreSexagesimal.getDegre();
       boolean positif = degreSexagesimal.isPositif();
       if (latitude) {
           if (positif) type = NORTH;
           else type = SOUTH;
       }
       else {
           if (positif) type = EAST;
           else type = WEST;
       }
       buf.append(LangIntegerLocalisation.getCardinalDirection(type, false, locale));
       return buf.toString();
    }
    
}
