/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2005 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package net.mapeadores.util.primitives;

import java.text.*;

/**
 *
 * @author  Vincent Calame
 */
public class PrimUtils {
    static long MASK_INT2 = 0x00000000FFFFFFFFL;
    
    /** Creates a new instance of PrimUtils */
   private PrimUtils() {
    }
   
   
   public static long toLong(int int1,int int2) {
       long long1 = (long) int1;
       long long2 = (long) int2;
       long1 = long1 << 32;
       long2 = long2 & MASK_INT2;
       return long1 | long2;
   }
   
   public static Long toLongObject(int int1,int int2) {
       return new Long(toLong(int1,int2));
   }
   
   public static int getInt1(long l) {
       return (int) (l >>> 32);
   }
   
   
   public static int getInt2(long l) {
       return (int) l;
   }
   
   public static boolean equalsInt1(long l, int i) {
       return (getInt1(l) == i);
   }
   
   public static boolean equalsInt2(long l, int i) {
       return (getInt2(l) == i);
   }
 
}
