/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package net.mapeadores.util.primitives.io;

import java.io.*;

/**
 *
 * @author Vincent Calame
 */
public interface PrimitivesWriter {
    
    public void writeInt(int i) throws IOException;
    
    public void writeShort(short s) throws IOException;
    
    public void writeByte(byte b) throws IOException;
    
    public void writeString(String s) throws IOException;
    
    public void writeBoolean(boolean b) throws IOException;
    
    public void writeChar(char carac) throws IOException;
    
    public void writeDouble(double d) throws IOException;
    
    public void writeLong(long l) throws IOException;
    
}
