/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2005 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package net.mapeadores.util.sxio;

import java.io.*;

/**
 *
 * @author  Vincent Calame
 */
public class StringSXStylesSource implements SXStylesSource {
    String stylesBody;
    
    /** Creates a new instance of StringSXStylesSource */
    public StringSXStylesSource(String stylesBody) {
        this.stylesBody = stylesBody;
    }
    
    public String getEncoding() {
        return "UTF-8";
    }
    
    public void writeStyles(OutputStream outputStream) throws SXIOException {
        try {
            ByteArrayInputStream input = new ByteArrayInputStream(stylesBody.getBytes(getEncoding()));
            int n;
            byte[] buffer = new byte[1004];
            while ((n =input.read(buffer)) != -1) {
                outputStream.write(buffer,0,n);
            }
            input.close();
        }
        catch(IOException ioe)  {
            throw new SXIOException(ioe);
        }
    }
    
}
