/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2007-2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.text;

import java.util.*;

/**
 *
 * @author Vincent Calame
 */
public abstract class AbstractLibelleHolder implements LibelleHolder {
    private LibelleByLangMap libelleMap;
    
    public AbstractLibelleHolder() {
        this.libelleMap = new LibelleByLangMap();
    }
    
    public AbstractLibelleHolder(String defaultLibelleString) {
        this.libelleMap = new LibelleByLangMap(defaultLibelleString);
    }
    
    public Libelle getLibelle(int langInteger) {
        return libelleMap.getLibelle(langInteger);
    }
    
    public List getLibelleList() {
        return libelleMap.getLibelleList();
    }
    
    public String getLibelleString(int langInteger, boolean defaut) {
        if (!defaut) return libelleMap.getLibelleString(langInteger,false);
        
        return libelleMap.getLibelleString(langInteger,defaut);
    }
    
    protected boolean setLibelle(String nvlibelle, int langInteger) {
        if (nvlibelle == null) {
            Libelle oldlib = libelleMap.removeLibelle(langInteger);
            return (oldlib != null);
        } else {
            Libelle lib = libelleMap.getLibelle(langInteger);
            if (lib == null) {
                lib = libelleMap.createLibelle(langInteger,nvlibelle,true);
                return (lib != null);
            } else {
                return libelleMap.setLibelle(lib,nvlibelle,true);
            }
        }
    }
    
}
