/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2007 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.text;

import java.io.*;
import java.util.*;
import com.Ostermiller.util.*;
import net.mapeadores.util.primitives.*;
import net.mapeadores.util.langinteger.LangInteger;
import net.mapeadores.util.langinteger.LangIntegerException;

/**
 *
 * @author Vincent Calame
 */
public class CSVToPropertiesConvertor {
    
    public CSVToPropertiesConvertor(File csvFile,File propertiesDirectory) {
    }
    
    public static void convertToFile(File csvFile,File propertiesFile) throws IOException {
        Reader reader = new InputStreamReader(new FileInputStream(csvFile),"UTF-8");
        CSVParser parser = new CSVParser(reader);
        String[][] values = parser.getAllValues();
        Properties properties = new Properties();
        if (propertiesFile.exists()) {
            InputStream inputStream = new FileInputStream(propertiesFile);
            properties.load(inputStream);
            inputStream.close();
        }
        int length = values.length;
        for(int i = 0; i < length;i++) {
            String[] row = values[i];
            int l2 = row.length;
            if (l2 > 1) {
                properties.put(row[0],row[1]);
            }
        }
        OutputStream output = new FileOutputStream(propertiesFile);
        properties.store(output, null);
        output.close();
        reader.close();
    }
    
}
