/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2007 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.text;

import java.net.*;

/**
 *
 * @author Vincent Calame
 */
public class IllegalTextException extends RuntimeException {
    public final static short NO_SPECIAL = 0;
    public final static short EMPTY_CELL= 1;
    public final static short EMPTY_FILE= 2;
    private URL url;
    private String illegalText;
    private short specialException;
    private String errorKey;
    private Object errorValue;
    
    
    public IllegalTextException(String message) {
        super(message);
    }
    
    public void setSourceUrl(URL url) {
        this.url = url;
    }
    
    public URL getSourceUrl() {
        return url;
    }
    
    public void setIllegalText(String illegalText) {
        this.illegalText = illegalText;
    }
    
    public String getIllegalText() {
        return illegalText;
    }
    
    public short getSpecialException() {
        return specialException;
    }
    
    public boolean isSpecialException() {
        return (specialException != 0);
    }
    
    public void setSpecialException(short specialException) {
        this.specialException = specialException;
    }
    public String getErrorKey() {
        return errorKey;
    }
    
    public Object getErrorValue() {
        return errorValue;
    }
    
    public void setError(String errorKey, Object errorValue) {
        this.errorKey = errorKey;
        this.errorValue = errorValue;
    }
}
