/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2007 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package net.mapeadores.util.text;

import java.util.List;

/**
 *
 * @author Vincent Calame
 */
public interface LibelleHolder {
    
     /**
     * Retourne la chaîne du libellé pour la langue en argument.
     * S'il n'y a pas de libellé pour la langue en argument, retourne <em>null</em> si defaut est égal à false
     * et une chaîne non vide par défaut si defaut est égal à <em>true</em>.
     */
    public String getLibelleString(int langInteger,boolean defaut);
    
    public List getLibelleList();
    
    /**
     * Retourne une instance de Libelle pour la langue en argument.
     * Retourne <em>null</em> si le libellé n'existe pas.
     */
    public Libelle getLibelle(int langInteger);
    
}
