/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2007 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.text;


import java.io.*;
import java.util.*;
import com.Ostermiller.util.*;
/**
 *
 * @author Vincent Calame
 */
public class PropertiesToCSVConvertor {
    Properties properties;
    CSVPrint csvPrint;
    
    public PropertiesToCSVConvertor(File propertiesFile, File csvFile) throws IOException {
        properties = new Properties();
        properties.load(new FileInputStream(propertiesFile));
        csvPrint = new ExcelCSVPrinter(new OutputStreamWriter(new FileOutputStream(csvFile),"UTF-8"));
    }
    
    public void convert() throws IOException {
        String[] bufArray = new String[2];
        bufArray[0] = "key";
        bufArray[1] = "value";
        csvPrint.println(bufArray);
        for(Iterator it = properties.entrySet().iterator();it.hasNext();) {
            Map.Entry entry = (Map.Entry) it.next();
            bufArray[0] = (String) entry.getKey();
            bufArray[1] = (String) entry.getValue();
            csvPrint.println(bufArray);
        }
        csvPrint.close();
    }
    
}
