/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2005 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.text;

/**
 *
 *Correspondance de valeur avec ConditionsConstant
 *
 * @author Vincent Calame
 */
public class TextConstants {
    final public static int CONTAINS = 3;
    final public static int MATCHES = 0;
    final public static int ENDSWITH = 2;
    final public static int STARTSWITH = 1;
    final public static short OR = 1;
    final public static short AND = 2;
    
    private TextConstants() {
    }
    
    public static String toString(int type) {
        switch(type) {
            case CONTAINS:
                return "contains";
            case MATCHES:
                return "matches";
            case ENDSWITH :
                return "endswith";
            case STARTSWITH :
                return "startswith";
            default :
               throw new IllegalArgumentException("bad type value");
        }
    }
    
}
