/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2005-2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.text;

import java.io.UnsupportedEncodingException;

/**
 *
 * @author Vincent Calame
 */
public class UTF8Bridge {
    private static final short UTF8 = 11;
    private static final short ISO_8859_1 = 12;
    private static final short OTHER = 13;
    short type = OTHER;
    String charsetName;
    
    public UTF8Bridge(String charsetName) {
        if (charsetName != null) {
            this.charsetName = charsetName;
            if (charsetName.equals("UTF-8")) type = UTF8;
            else if (charsetName.equals("ISO-8859-1")) type = ISO_8859_1;
        } else {
            type = ISO_8859_1;
            this.charsetName = "ISO-8859-1";
        }
    }
    
    /**
     *
     *@throws UTF8BridgeException
     */
    public String toUTF8(String s)  {
        if (type == UTF8) return s;
        if (s== null) return null;
        try {
            return new String(s.getBytes(charsetName),"UTF-8");
        }
        catch(UnsupportedEncodingException uue) {
            throw new UTF8BridgeException(charsetName,uue);
        }
    }
    
    public String getCharsetName() {
        return charsetName;
    }
}
