/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2007 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package net.mapeadores.util.text.insertpattern.api;

import java.io.*;

/**
 *
 * @author Vincent Calame
 */
public interface ErrorHandler {
    public static final String INVALID_ASCII_CHARACTER = "invalidAsciiCharacter";
    public static final String INVALID_SEPARATOR_CHARACTER = "invalidSeparatorCharacter";
    public static final String INVALID_END_CHARACTER = "invalidEndCharacter";
    public static final String INVALID_INSTRUCTION_BOUNDARY_CHARACTER = "invalidInstructionBoundaryCharacter";
    public static final String INVALID_EMPTY_QUOTED_KEY_CHARACTER = "invalidEmptyQuotedKeyCharacter";
    public static final String WARNING_UNEXPECTED_ELSE= "unexpectedElse";
    public static final String WARNING_UNEXPECTED_FI= "unexpectedFi";
    public static final String WARNING_UNEXPECTED_ELIF = "unexpectedElif";
    
    public void characterError(char carac,String key,int row, int col);
    
    public void warning(String key, int row, int col);
    
}
