/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.text.insertpattern.api;

/**
 *
 * @author Vincent Calame
 */
public class InsertionUnit implements InsertionUnitType{
    private int index;
    private short type;
    private String clause;
    private boolean unique;
    private boolean onElse;
    private String string;
    private Instruction[] instructionArray;
    private Object customObject;
    
    InsertionUnit(int index,String s) {
        this.index = index;
        this.string = s;
        this.type = APPEND_STRING;
    }
    
    InsertionUnit(int index,Instruction[] instructionArray) {
        this.index = index;
        this.instructionArray = instructionArray;
        this.type = DO_INSERTION;
    }
    
    InsertionUnit(int index,short type) {
        this.index = index;
        this.type = type;
    }
    
    void setUnique(boolean unique) {
        this.unique = unique;
    }
    
    void setOnElse(boolean onElse) {
        this.onElse = onElse;
    }
    
    void setClause(String clause) {
        this.clause = clause;
    }
    
    
    public int getIndex() {
        return index;
    }
    
    public short getType() {
        return type;
    }
    
    public String getString() {
        return string;
    }
    
    public Instruction[] getInstructionArray() {
        return instructionArray;
    }
    
    public boolean isUnique() {
        return unique;
    }
    
    public boolean isOnElse() {
        return onElse;
    }
    
    public String getClause() {
        return clause;
    }
    
    public void setCustomObject(Object customObject) {
        this.customObject = customObject;
    }
    
    public Object getCustomObject() {
        return customObject;
    }
    
}
