/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2007 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.text.insertpattern.impl;

import net.mapeadores.util.text.insertpattern.api.Argument;

/**
 *
 * @author Vincent Calame
 */
class ImplArgument implements Argument {
    private String key;
    private String value;
    private int keyRow;
    private int keyCol;
    private int valueRow;
    private int valueCol;
    
    ImplArgument(String key, int keyRow,int keyCol) {
        this.key = key;
        this.keyRow = keyRow;
        this.keyCol = keyCol;
    }
    
    void setValue(String value, int valueRow, int valueCol) {
        this.value = value;
        this.valueRow = valueRow;
        this.valueCol = valueCol;
    }
    
    public String getKey() {
        return key;
    }
   

    public String getValue() {
        return value;
    }
    
    public int getKeyRow() {
        return keyRow;
    }
    
    public int getKeyCol() {
        return keyCol;
    }
    
    public int getValueRow() {
        return valueRow;
    }
    
    public int getValueCol() {
        return valueCol;
    }
}
