/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2005 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.xml;

import com.Ostermiller.util.CSVParser;
import com.Ostermiller.util.CSVParse;
import java.io.*;

/**
 *
 * @author Vincent Calame
 */
public class CsvToXml {
    
    
    public static void main(String[] args) throws IOException {
        /*if (args.length < 2) {
            System.out.println("Nombre d'arguments insuffisants");
            return;
        }
        File source = new File(args[0]);
        File destination = new File(args[1]);*/
        File source = new File("/home/vic/java/xsl/carto-d/irenees.csv");
        File destination = new File("/home/vic/java/xsl/carto-d/irenees.xml");
        
        InputStreamReader reader = new InputStreamReader(new FileInputStream(source),"UTF-8");
        OutputStream outputStream = new FileOutputStream(destination);
        CsvToXml csvToXml = new CsvToXml();
        csvToXml.printXml(reader, outputStream, 0);
    }
    
    public CsvToXml() {
                
    }
    
    public void printXml(Reader reader,OutputStream outputStream, int tabulations) throws IOException {
        CSVParser csvParser = new CSVParser(reader);
        printXml(csvParser, outputStream,tabulations);
    }
    
    public void printXml(CSVParse csvParse,OutputStream outputStream, int tabulations) throws IOException {
        BufferedWriter bufwriter = new BufferedWriter(new OutputStreamWriter(outputStream, "UTF-8"));
        bufwriter.write("<?xml version=\"1.0\" encoding=\"UTF-8\" ?>");
        XMLUtils.writeTabs(bufwriter,tabulations);
        bufwriter.write("<csv>");
        
        String[] line;
        while((line = csvParse.getLine()) != null){
            printLine(bufwriter,line,csvParse.getLastLineNumber(),tabulations+1);
        }
        XMLUtils.writeTabs(bufwriter,tabulations);
        bufwriter.write("</csv>");
        bufwriter.flush();
    }
    
    private void printLine(Writer writer, String[] line,int lineNumber, int tabulations) throws IOException  {
        XMLUtils.writeTabs(writer,tabulations);
        writer.write("<line number='");
        writer.write(String.valueOf(lineNumber));
        writer.write("'>");
        for(int i = 0; i < line.length;i++) {
            printValue(writer,line[i], i+1,tabulations+1);
        }
        
        XMLUtils.writeTabs(writer,tabulations);
        writer.write("</line>");
    }
    
    private void printValue(Writer writer,String value,int valueNumber,int tabulations) throws IOException {
        XMLUtils.writeTabs(writer,tabulations);
        writer.write("<value number='");
        writer.write(String.valueOf(valueNumber));
        writer.write("'>");
        XMLUtils.escapeXML(value,writer);
        writer.write("</value>");
    }
    
    
    
}
