/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.xml;

import org.w3c.dom.*;
import net.mapeadores.util.text.*;

/**
 *
 * @author Vincent Calame
 */
public class DOMReader {
    
    public DOMReader() {
    }
    
    public static void readChildren(Element element_xml, ElementHandler elementHandler) {
        NodeList liste = element_xml.getChildNodes();
        for (int i = 0; i < liste.getLength(); i ++) {
            if (liste.item(i).getNodeType() == Node.ELEMENT_NODE) {
                Element element = (Element) liste.item(i);
                elementHandler.readElement(element);
            }
        }
    }
    
    /**
     * N'est jamais nul.
     */
    public static String readSimpleElement(Element element_xml) {
        return readSimpleElement(element_xml, true);
    }
    
    /**
     * N'est jamais nul.
     */
    public static String readSimpleElement(Element el, boolean trim) {
        Node nd = el.getFirstChild();
        if ((nd != null) &&  ((nd.getNodeType() == Node.TEXT_NODE) || (nd.getNodeType() == Node.CDATA_SECTION_NODE))) {
            String result = ((Text) nd).getData();
            if (result == null) return "";
            else return StringUtils.cleanString(result,trim);
        }
        else return "";
    }
            
}
