/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.xml;

import java.io.*;

/**
 *
 * @author Vincent Calame
 */
public class SXCWriter extends DefaultXMLWriter {
    
    public SXCWriter(XMLDestination xmlDestination,int indentLength) {
        super();
        setXmlDestination(xmlDestination);
        setIndentLength(indentLength);
    }
    
    public void openTable(String name) throws IOException {
        startOpenTag("table:table");
        addAttribute("table:name",name);
        endOpenTag();
    }
    
    public void endTable() throws IOException {
        closeTag("table:table");
    }
    
    public void openRow() throws IOException {
        openTag("table:table-row");
    }
    
    public void closeRow() throws IOException {
        closeTag("table:table-row");
    }
    
    public void openCell() throws IOException {
        openTag("table:table-cell");
    }
    
    public void closeCell() throws IOException {
        closeTag("table:table-cell");
    }
    
    public void addEmptyCell() throws IOException {
        startOpenTag("table:table-cell");
        closeEmptyTag();
    }
    
    public void addIntegerCellElement(int itg) throws IOException {
        startOpenTag("table:table-cell");
        addAttribute("table:value-type","float");
        addAttribute("table:value", String.valueOf(itg));
        endOpenTag();
        append(String.valueOf(itg));
        closeCell();
    }
    
    public void addStringCellElement(String value) throws IOException {
        openCell();
        addSimpleElement("text:p",value);
        closeCell();
    }
    
}
