/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.xml;

import java.io.*;
import net.mapeadores.util.langinteger.*;
import net.mapeadores.util.text.*;
import java.util.*;
import java.awt.Color;

/**
 *
 * @author Vincent Calame
 */
public class UtilXMLWriterPart extends XMLWriterPart {
    
    public UtilXMLWriterPart(XMLWriter xmlWriter) {
        super(xmlWriter);
    }
 
    public void addLibElement(int langInteger, String lib) throws IOException {
        addLibElement(langInteger,lib,true,false);
    }
    
    
    public void addLibElement(int langInteger, String lib, boolean isVo, boolean withDefaultVo) throws IOException {
        if (langInteger == LangInteger.NO_LINGUISTIC_CONTENT) return;
        startOpenTag("lib");
        if (!isVo) {
            addAttribute("vo", "0");
        } else if (withDefaultVo) {
            addAttribute("vo", "1");
        }
        if (langInteger != LangInteger.UNDETERMINED) {
            addAttribute("xml:lang", LangInteger.toString(langInteger));
        }
        endOpenTag(false);
        escape(lib);
        closeTag("lib",false,false);
    }
    
    public void addLibelleList(LibelleHolder libelleHolder,LangFilter langFilter, boolean withVoDefault)  throws IOException {
        List libelleList = libelleHolder.getLibelleList();
        for (Iterator it = libelleList.iterator();it.hasNext();) {
            Libelle lib = (Libelle) it.next();
            if ((langFilter == null) || (langFilter.accept(lib.getLangInteger()))) {
                addLibElement(lib.getLangInteger(), lib.getLibelleString(),lib.isVo(),withVoDefault);
            }
        }
    }
    
    public void addColor(Color color) throws IOException {
        addSimpleElement("color", XMLUtils.toHexFormat(color));
    }
    
}
