/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2006-2009 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package net.mapeadores.util.xml;

import java.io.*;
import net.mapeadores.util.xml.ns.NameSpace;


/**
 *
 * @author Vincent Calame
 */
public interface XMLWriter {
    
    public XMLDestination getXMLDestination() throws IOException;

    public boolean isAposEscaped();
    
    public void appendXMLDeclaration() throws IOException;
    
    public void appendStylesheet(String href, String type) throws IOException;
   
    public void appendDocType(String doctype) throws IOException;
    
    public void append(char c) throws IOException;
    
    public void append(CharSequence charSequence) throws IOException;
   
    public void appendIndent() throws IOException;
    
    public int getCurrentIndentValue();
    
    public void startOpenTag(String name) throws IOException;
    
    public void startOpenTag(String name, boolean indentBefore) throws IOException;

    public void endOpenTag() throws IOException;
    
    public void endOpenTag(boolean increaseIndent) throws IOException;
    
    public void closeEmptyTag() throws IOException;
    
    public void openTag(String name) throws IOException;
    
    public void openTag(String name, boolean indentBefore, boolean indentIncrease) throws IOException;
    
    public void closeTag(String name) throws IOException;
    
    public void closeTag(String name, boolean indentBefore, boolean indentDecrease) throws IOException;
    
    public void escape(CharSequence charSequence) throws IOException;
    
    public void escape(char carac) throws IOException;
    
    public void addNameSpaceAttribute(NameSpace nameSpace) throws IOException;
    
    public void addNameSpaceAttribute(String prefix, String nameSpace) throws IOException ;
    
    public void addAttribute(String attributeName,String value) throws IOException;
    
    public void addAttribute(String attributeName,char c) throws IOException;
    
    public void addAttribute(String attributeName,int i) throws IOException;

     public void addSimpleElement(String tagname,String value) throws IOException;
     
     public void addSimpleElement(String tagname, String attribute, String attributeValue, String value) throws IOException;
     
     public void addEmptyElement(String tagname) throws IOException;
}
