/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.xml.ns;

import java.util.*;
import java.io.*;
import net.mapeadores.util.exceptions.*;

/**
 *
 * @author Vincent Calame
 */
public class NameSpaceUtils {
    public final static String ODT_NAMESPACE_MAP="odt";
    
    private NameSpaceUtils() {
    }
    
    public static Map getNameSpaceMap(String listName) {
        if (isValid(listName)) {
            try {
                return getResourceMap(listName);
            }
            catch(IOException ioe) {
                throw new InternalResourceException(ioe);
            }
        }
        return Collections.EMPTY_MAP;
    }
    
    private static Map getResourceMap(String listName) throws IOException {
        InputStream input = NameSpaceUtils.class.getResourceAsStream(listName + ".txt");
        BufferedReader reader = new BufferedReader(new InputStreamReader(input,"UTF-8"));
        String ligne = null;
        Map result = new LinkedHashMap();
        while((ligne = reader.readLine()) !=  null) {
            int idx = ligne.indexOf('\t');
            if (idx == -1) continue;
            String prefix = ligne.substring(0,idx).trim();
            String name = ligne.substring(idx+1).trim();
            result.put(prefix,new NameSpace(prefix,name));
        }
        reader.close();
        return result;
    }
    
    private static boolean isValid(String listName) {
        if (listName.equals(ODT_NAMESPACE_MAP)) {
            return true;
        }
        else {
            return false;
        }
    }
    
    
    
}
