/* @@@@@APPLICATION@@@@@
 *
 * Copyright (C) 2008 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.xml.xmlpull;

import net.mapeadores.util.langinteger.*;
import net.mapeadores.util.text.*;
import java.util.*;

/**
 *
 * @author Vincent Calame
 */
public class LibelleElementHandler implements XmlPullElementHandler, Libelle {
    int langInteger = LangInteger.UNDETERMINED;
    boolean isVo = true;
    StringBuffer buf = new StringBuffer();
    private int subCount = 0;
    
    public LibelleElementHandler(Map attributeMap) throws LangIntegerException {
        if (attributeMap != null) {
            String langIntegerString = (String) attributeMap.get("xml:lang");
            if ((langIntegerString != null) && (langIntegerString.length() > 0)) {
                langInteger = LangInteger.parse(langIntegerString);
                /*if (langInteger == LangInteger.NO_LINGUISTIC_CONTENT) throw new LangIntegerException();*/
            }
            String voString = (String) attributeMap.get("vo");
            if (voString != null) {
                if ((voString.equals("0")) || (voString.equals("false"))) isVo = false;
            }
        }
    }
    
    public void processStartElement(String tagname, Map attributeMap) {
        subCount ++;
        buf.append("<");
        buf.append(tagname);
        buf.append(">");
    }
    
    public boolean processEndElement(String tagname) {
        if (subCount == 0) return true;
        subCount --;
        buf.append("</");
        buf.append(tagname);
        buf.append(">");
        return false;
    }
    
    public void processText(String text) {
        buf.append(text);
    }
    
    public XmlPullElementHandler initSubElementHandler(String tagname, Map attributeMap) {
        return null;
    }
    
    public void flushSubElementHandler(String tagname, XmlPullElementHandler elementHandler) {
        
    }
    
    public int getLangInteger() {
        return langInteger;
    }
    
    public String getLibelleString() {
        return buf.toString();
    }
    
    public boolean isVo() {
        return isVo;
    }
    
}
