/* Mapeadores Libraries - Open source libraries dedicated to collective intelligence tools
 *
 * Copyright (C) 2006 Vincent Calame - Exemole <vincent.calame@exemole.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


package net.mapeadores.util.zip;

import java.io.*;
import java.util.*;
import java.util.zip.*;

/**
 *
 * @author Vincent Calame
 */
public class Zipper {
    ZipOutputStream zipOutput;
    
    public Zipper(ZipOutputStream zipOutputStream) {
        this.zipOutput = zipOutputStream;
    }
    
    public Zipper(File f) throws IOException {
        this.zipOutput = new ZipOutputStream(new FileOutputStream(f));
    }
    

    public void zipDirectory(File  directory, String parentDirectoryPath) throws IOException {
        String newPath = parentDirectoryPath + directory.getName() + "/";
        File[] files = directory.listFiles();
        if (files.length == 0) {
            ZipEntry zipEntry = new ZipEntry(newPath);
            zipOutput.putNextEntry(zipEntry);
            zipOutput.closeEntry();
            return;
        }
        for (int i = 0; i < files.length;i++) {
            File f = files[i];
            if (f.isDirectory()) {
                zipDirectory(f,newPath);
            }
            else {
                zipFile(f, newPath);
            }
        }
    }
    
    /*
     * Zippe un fichier.
     */
    public void zipFile(File f, String directoryPathInZip) throws IOException {
        //System.out.println(f.getAbsolutePath());
        InputStream is = new FileInputStream(f);
        ZipEntry zipEntry = new ZipEntry(directoryPathInZip + f.getName());
        zipOutput.putNextEntry(zipEntry);
        int n;
        byte[] buffer = new byte[1004];
        while ((n =is.read(buffer)) != -1) {
            zipOutput.write(buffer,0,n);
        }
        is.close();
        zipOutput.closeEntry();
    }
    
    public void close() throws IOException {
        zipOutput.close();
    }
    
}
